<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/TR/WD-xsl">

 <!--
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 -->


<xsl:template match="/">
  <HTML>
    <HEAD>
    <META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"></META>
      <STYLE>
        BODY  { margin:0.25in;
                font-family:Verdana,Arial,Helvetica,sans-serif; font-size:10pt;
                background-color:#FFFFFF;
              }
        H1   { margin-left:0.05in;
                font-family:Verdana,Arial,Helvetica,sans-serif;
               font-weight:bold; font-size:15; text-align:center;
               color:#006400; }
        H2   { margin-left:0.25in;
               font-size:13; text-align:center;
               color:#006400; }

			<!-- "tabs" table -->
			<!-- table style -->
         TABLE.header { valign:top; background-color: #FFFFFF; border-collapse:collapse; }
         TR         { text-align:center; }
         TH         { text-align:center; vertical-align: middle;
                      font-family:Verdana,Arial,Helvetica,sans-serif;
                      font-size:10pt; font-weight: bold;}
         TH.THLeft  { text-align: left;  border: none; color:#33665b;}
         TD         { text-align:center; vertical-align: middle;
                      font-family:Verdana,Arial,Helvetica,sans-serif; font-size:10pt}
         TD.TDLeft  { text-align: left;  border: none; color:#33665b;}
         TD.TDRight { text-align: right; border: none; }
         TD.clear   { font-weight:bold; font-size:11pt; border: none; }

        <!-- selected tab -->
        <!-- unselected tab -->
        <!-- unselected tab hilite -->
         .tsel      { color:white; background-color:#33665b; border: none #33665b; }
         .tun       { color:#2E8B57; xcolor:#33665b; background-color:white; }
         .tover     { color:#FFFFFF; background-color:#A0A0A0; cursor:hand}

        <!-- properties box -->
        .frameborder { background-color:#FFFFFF; border: 1pt solid #33665b; }
        div          { display:block; }
        div.icon    { display:inline;  border:solid; border-width:1pt; color:black;
                      text-align:center; vertical-align:middle;
                      line-height:50%; font-weight:bold; width:18; height:18}
        span.icon    { display:inline;  border:none; border-width:1pt; color:black;
                      text-align:center; vertical-align:middle;
                      line-height:50%; font-weight:bold; width:18; height:18}


        <!-- headings -->
        <!-- group heading -->
        <!-- group heading indented -->
        <!-- group heading hilite -->
        <!-- group heading hilite indented -->
        .ph1     {                    color:#2E8B57; font-weight:bold; cursor: }
        .ph2     { margin-left:0.2in; color:#2E8B57; font-weight:bold; cursor: }
        .pover1  {                    color:#006000; font-weight:bold; cursor:hand }
        .pover2  { margin-left:0.2in;	 color:#006000; font-weight:bold; cursor:hand }

        <!-- values -->
        <!-- property name -->
        <!-- property value -->
        <!-- expanded properties -->
        <!-- expanded properties entity indent -->
        <!-- expanded long text -->
        .pn	   {                                                   color:#33665b; font-weight:bold }
        .pv	   { font-family:Verdana,sans-serif; line-height:135%; color:#33665b; margin:0in 0.15in 0.75in 0.15in}
        .pe1  { margin-left:0.2in}
        .pe2  { margin-left:0.25in; font-weight:normal; color:#33665b; }

        <!-- lists of comma-separated elements -->
        .lt  { line-height:115%}
        .lt2 { line-height:115%; margin-bottom:1mm}

        <!-- indented spatial reference parameters -->
        .sr1  { margin-left:0in }
        .sr2  { margin-left:0.2in }
        .sr3  { margin-left:0.4in }
        .srh1 { margin-left:0in;   color:#33665b; font-weight:bold; }
        .srh2 { margin-left:0.2in;	 color:#33665b; font-weight:bold; }
      </STYLE>

      <SCRIPT LANGUAGE="JavaScript1.2">
      <xsl:comment><![CDATA[
				var bV = parseInt(navigator.appVersion);
				var NS4 = (document.layers) ? true : false;
				var IE4 = ((document.all)&&(bV>=4)) ? true : false;
				var DOM = document.getElementById;
				var ver4 = (NS4 || IE4 || DOM) ? true : false;
				var isExpanded = false;
				var firstInd;

				function initIt() {
					bV = parseInt(navigator.appVersion);
					NS4 = (document.layers) ? true : false;
					if (NS4) {
						alert("This page written for Netscape 6+ and Internet Explorer 5+");
					}
				}

				// expand one division
				function expandIt(el) {
					if (DOM)
						expandDOM(el);
					else
						alert("This page intended for Nescape 6+ and Internet Explorer 5+");
					return false;
				}

				function unhideSubDIV(el, icon) {
					if (el == null) {
						return;
					}

					// unhide the display of this division
					el.style.display = "block";

					if (icon != null)
						icon.innerHTML = "&#151;";


					// show all child icon Divs
					var divnodes = el.getElementsByTagName('DIV');
					for (var j=0; j < divnodes.length; j++) {
								if (divnodes[j].id != null)
									if (divnodes[j].id.indexOf('Icon') > 0)
										divnodes[j].style.visibility = "visible";
					}
				}

				function hideSubDIV(el, icon) {
					if (el == null) {
						return;
					}

					// hide the display of this division
					el.style.display = "none";

					if (icon != null)
						icon.innerHTML = "&#187;";


					// hides all child icon Divs
					var divnodes = el.getElementsByTagName('DIV');
					for (var i=0; i<divnodes.length; i++) {
						if (divnodes[i].id != null)
							if (divnodes[i].id.indexOf('Icon') > 0)
								divnodes[i].style.visibility = "hidden";
					}
				}

				function expandDOM(el) {
					var iconDiv;

					if (el.id == '') {
						// case #1.  Nested DIVs could expand open.

						// Find its image icon. Its the first image in this DIV
						var divnodes = el.getElementsByTagName('DIV');
						if (divnodes == null)
							return;	// nothing to do.

						var spannodes = el.getElementsByTagName('SPAN');

						for(i=0; i<divnodes.length; i++) {
							if (divnodes[i] == null)
								continue; // should not occur
							if (divnodes[i].id == 'alwayson')
								continue;
							if (divnodes[i].id.indexOf('Icon') > 0) {
								iconDiv = divnodes[i];
								continue;
							}


							// if no DIV icon, maybe a SPAN icon
							if (iconDiv == null) {
							  for(k=0; k<spannodes.length; k++) {
							  	alert("span " + spannodes[k].id);
								if (spannodes[k].id.indexOf('Icon') > 0) {
									iconDiv = spannodes[k];
									alert("got a SPAN");
									break;
								}
							  }
							}

							if (divnodes[i].style.display != "block") {
								// show this DIV's content
								unhideSubDIV(divnodes[i], iconDiv);
							}
							else {
								// hide this DIV's content
								hideSubDIV(divnodes[i], iconDiv);
							}
						}
					}
					else {
						// Case #2.  No nested DIVs but a child DIV with labelling.
						//alert("no DIV nodes under here");
						var whichEl = document.getElementById(el.id + "Child");
						if (whichEl == null)
							return;

						var iconDiv = document.getElementById(el.id + "Icon");
						if (whichEl.style.display != "block") {
							unhideSubDIV(whichEl, iconDiv);
							
							if (iconDiv != null) {
								iconDiv.innerHTML = "&#151;";
							}
						}
						else {
							hideSubDIV(whichEl, iconDiv);

							if (iconDiv != null) {
								iconDiv.innerHTML = "&#187;";
							}
						}
					}
					return;
				}


				//changes the color of the tabs or headings that you can click
				//when the mouse hovers over them
				function doHilite(e)  {
					if (e.className == "tun") {
						e.className = "tover";
					}
					else if (e.className == "tover") {
						e.className = "tun";
					}
					else if (e.className == "ph1") {
						e.className = "pover1";
					}
					else if (e.className == "ph2") {
						e.className = "pover2";
					}
					else if (e.className == "pover1") {
						e.className = "ph1";
					}
					else if (e.className == "pover2") {
						e.className = "ph2";
					}
				}

				var highlight_str1 = "<table id=\"";
				var highlight_str2 = "Table\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\"><tr><td width=\"11\" style=\"vertical-align:top; text-align:right\"><img height=\"17\" width=\"11\" src=\"/LAND/common/images/restab_leftcorner.gif\"/></td><td class=\"tsel\"><font face=\"Verdana,Helvetica,Arial\">";
				var highlight_str3 = "</font></td><td width=\"11\" style=\"vertical-align:top; text-align:left\"><img height=\"17\" width=\"11\" src=\"/LAND/common/images/restab_rightcorner.gif\"/></td></tr></table>";

				function highlightTab(name)  {
					document.getElementById("DescriptionTab").innerHTML = "Description";
					document.getElementById("SpatialTab").innerHTML     = "Spatial";
					document.getElementById("ThemesTab").innerHTML      = "Themes";

					document.getElementById(name + "Tab").innerHTML = highlight_str1 + name + highlight_str2 + name + highlight_str3;
				}
				function changeTab(newPageTabID)  {
					var selTable = document.getElementById("SelectTable");
					var selRows = selTable.tBodies[0].rows[0].cells;

					var lastPageTab
					for (var i = 0; i < selRows.length; i++) {
						lastPageTab = selRows[i];
						if (lastPageTab.className == "tsel") {
							break;
						}
					}

					lastPageTab.className = "tun";
					var newPageTab = document.getElementById(newPageTabID);
					newPageTab.className ="tsel";

					var lastPage = document.getElementById(lastPageTab.id.substring(0, lastPageTab.id.indexOf('Tab')));
					var newPage = document.getElementById(newPageTab.id.substring(0, newPageTab.id.indexOf('Tab')));

					// hide old page
					// show new page
					// highlight tab of new page
					lastPage.style.display = "none";
					newPage.style.display  = "block";
					highlightTab(newPage.id);
				}


				with (document) {
					write("<STYLE TYPE='text/css'>");
					if (NS4) {
						write(".parent  {position:absolute; visibility:hidden}");
						write(".child   {position:absolute; visibility:hidden}");
						write(".regular {position:absolute; visibility:hidden}");
					}
					else {
						write(".child {display: none; margin-left:0.2in; color:#2E8B57; font-weight:bold; cursor:}");
					}
					write("</STYLE>");
				}

				onload = initIt;

      ]]></xsl:comment>
      </SCRIPT>
      <NOSCRIPT>
      <center><H1>Javascript must be enabled plus Netscape 6+ or Internet Explorer 5+ to properly view this page.</H1></center>
      </NOSCRIPT>

    </HEAD>
	
<BODY onload="initIt()">
	<a name="top"></a>

<xsl:choose> 
          <!-- If root element isn't metadata we don't know what data this file contains -->
      <xsl:when test="context()[not(metadata)]"> 
            <SPAN STYLE="text-align:center; color:#6495ED; margin-left:1in; margin-right:1in">
              <BR/><BR/>This document does not contain information that can be displayed with this ISC stylesheet.
            </SPAN>
      </xsl:when> 

<xsl:otherwise> 


        <!-- Add title and subtitle to the page -->
        <xsl:for-each select="/metadata/idinfo/citation/citeinfo/title[. != '']">
          <H1><xsl:value-of /></H1>
        </xsl:for-each>

<!--
	<font size="2" face="Verdana,Arial,Helvetica" color="#004031">
	<a href="" onclick="changeTab('DescriptionTab');return false;">Description</a>
	<BR/>
	<a href="" onclick="changeTab('SpatialTab');return false;">Spatial</a>
	<BR/>
	<a href="" onclick="changeTab('ThemesTab');return false;">Themes</a>
	</font>
-->
	<font size="2" face="Verdana,Arial,Helvetica" color="#004031">
	<h2>Select a "Description", "Spatial", or "Themes" tab or a paragraph <DIV class="icon">&#187;</DIV>&#160; to see more.</h2>
	</font>


        <xsl:for-each select="/metadata/idinfo/natvform[. != '']">
			  <H2><xsl:value-of />
				<xsl:if test="/metadata/spdoinfo/rastinfo/rastifor[. != '']">
					- <xsl:value-of select="/metadata/spdoinfo/rastinfo/rastifor" />
				</xsl:if>
			  </H2>
        </xsl:for-each>


        <!-- Set up the tabs -->
        <TABLE class="header" ID="SelectTable" border="0" cellspacing="0" cellpadding="0" frame="void">
          <TR>
            <TD ID="DescriptionTab" CLASS="tsel" width="105" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="changeTab(this.id)" TITLE="Click to see a description of the data">
	    	<table id="DescriptionTabTable" border="0" cellpadding="0" cellspacing="0" width="100%">
		<tr>
		<td width="11" style="vertical-align:top; text-align:right"><img height="17" width="11" src="/LAND/common/images/restab_leftcorner.gif"/></td>
		<td class="tsel">Description</td>
		<td width="11" style="vertical-align:top; text-align:left"><img height="17" width="11" src="/LAND/common/images/restab_rightcorner.gif"/></td>
		</tr>
	    	</table>
	    </TD>
            <TD ID="SpatialTab" CLASS="tun"  width="105" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="changeTab(this.id)" TITLE="Click for details about the spatial data">
	    Spatial
	    </TD>
            <TD ID="ThemesTab"  CLASS="tun"  width="105" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="changeTab(this.id)" TITLE="Click for details about the attribute data">
	    Themes
	    </TD>
          </TR>
        </TABLE>

<!-- Define the box which will contain the contents of the current tab -->
<DIV ID="Group" CLASS="frameborder">

	<!-- Description Tab -->
	<DIV ID="Description" CLASS="pv" STYLE="display:block">
	<BR/>

	<xsl:choose>

		<xsl:when test="/metadata[($any$ (idinfo/(citation/citeinfo/
			(origin | pubdate | pubtime | ftname | geoform | onlink | pubinfo/* |
			serinfo/*) | timeperd//* | descript/(abstract | purpose | supplinf) |
			native | accconst | useconst | keywords/*/(themekey | placekey |
			stratkey | tempkey) | browse/(browsen | img/@src) | status/*) |

			distinfo/stdorder/digform/(digtinfo/(formname | dssize | transize | 
			filedec) | digtopt/(onlinopt/(computer/(networka/* | sdeconn/* | 
			dialinst/(dialtel | dialfile)) | accinstr) | offoptn/offmedia)) | 

			metainfo/(metd | metrd | metfrd | metstdn | metstdv | mettc | metextns/* | 
			metc/cntinfo/(cntvoice | cntfax | cntemail | hours | cntinst | */cntper | 
			*/cntorg | cntaddr/(address | city | state | postal | country))) | 

			Binary/Enclosure/img/@src | Esri/ModDate) != '') or
			(Binary/Enclosure/Data/@EsriPropertyType = 'Base64')]">

	                <!-- Show contents of Description/Keywords -->
			<xsl:apply-templates select="/metadata//img[(@src != '')]" />

			<xsl:apply-templates select="/metadata/idinfo/keywords
				[$any$ */(themekey | placekey | stratkey | tempkey) != '']" />

			<xsl:if test="/metadata[($any$ idinfo/(browse/img/@src |
				keywords/*/(themekey | placekey | stratkey | tempkey)) != '')

				and (($any$ (idinfo/(descript/(abstract | purpose | supplinf) |
				browse/browsen) | Binary/Enclosure/img/@src) != '')
				or (Binary/Enclosure/Data/@EsriPropertyType = 'Base64'))]">
				<BR/>
			</xsl:if>

			<!-- Show contents of Description/Description section -->
			<xsl:if test="/metadata[($any$ idinfo/(descript/(abstract | purpose |
				supplinf) | browse/browsen) != '') or 
				($any$ Binary/Enclosure/Data/@EsriPropertyType = 'Base64') or 
				($any$ Binary/Enclosure/img/@src != '')]">
					<SPAN CLASS="pn">Description</SPAN>
					<xsl:apply-templates select="/metadata/idinfo/descript[
						(abstract != '') or (purpose != '') or (supplinf != '')]" />

					<xsl:apply-templates select="/metadata/Binary
						[(Enclosure/Data/@EsriPropertyType = 'Base64') or (Enclosure/img/@src != '')]" />

					<xsl:if test="/metadata[$any$ (idinfo/browse/browsen != '') and (idinfo/browse/browsen != 'N/A')]">
						<DIV CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">Links to graphics describing the data
							<DIV CLASS="pe2" STYLE="display:block; position:relative; top:-15; margin-left:-0.05in">
								<UL><xsl:apply-templates select="/metadata/idinfo/browse[browsen != '']" />
								</UL>
							</DIV>
						</DIV>
					</xsl:if>
			</xsl:if>

			<!-- divider -->
			<xsl:if test="/metadata[($any$ idinfo/(status/* | citation/citeinfo/
				(origin | pubdate | pubtime | pubinfo/* | serinfo/*) | timeperd//*) != '') 
				and (($any$ (idinfo/(descript/(abstract | purpose | supplinf) | keywords/*/(themekey | placekey | 
				stratkey | tempkey) | browse/(img/@src | browsen)) | 
				Binary/Enclosure/img/@src) != '') or 
				(Binary/Enclosure/Data/@EsriPropertyType = 'Base64'))]">
				<center><SPAN STYLE="text-align:center; color:#6495ED">_________________</SPAN></center><BR/>
			</xsl:if>

			<!-- Show contents of Descripton/Status tab -->
			<xsl:apply-templates select="/metadata/idinfo/status[$any$ * != '']" />

			<xsl:if test="/metadata[($any$ idinfo/status/* != '') 
				and ($any$ idinfo/timeperd//* != '')]">
				<BR/>
			</xsl:if>

			<!-- Show contents of Time Period tab -->
			<xsl:apply-templates select="/metadata/idinfo/timeperd[$any$ .//* != '']" />

			<xsl:if test="/metadata[($any$ idinfo/(status/* | timeperd//*) != '') and 
				($any$ idinfo/citation/citeinfo/(origin | pubdate | pubtime | 
				pubinfo/* | serinfo/*) != '')]">
				<BR/>
			</xsl:if>

			<!-- show contents of Description/Publication Information tab -->
			<xsl:apply-templates select="/metadata/idinfo/citation/citeinfo
				[(origin != '') or (pubdate != '') or (pubtime != '') or 
				($any$ pubinfo/* != '') or ($any$ serinfo/* != '')]" />

			<!-- divider -->
			<xsl:if test="/metadata[($any$ (idinfo/(citation/citeinfo/(ftname | 
				geoform | onlink) | native | accconst | useconst) | distinfo/stdorder/
				digform/(digtinfo/(formname | dssize | transize | filedec) | 
				digtopt/(onlinopt/(computer/(networka/* | sdeconn/* | 
				dialinst/(dialtel | dialfile)) | accinstr) | offoptn/offmedia)) | 
				metainfo/(metd | metrd | metfrd | metstdn | metstdv | mettc | metextns/* |
				metc/cntinfo/(cntvoice | cntfax | cntemail | hours | cntinst | */cntper | 
				*/cntorg | cntaddr/(address | city | state | postal | country))) | 
				Esri/ModDate) != '') and 

				(($any$ (idinfo/(descript/(abstract | purpose | supplinf) | 
				keywords/*/(themekey | placekey | stratkey | tempkey) | 
				browse/(img/@src | browsen) | status/* | timeperd//* | 
				citation/citeinfo/(origin | pubdate | pubtime | pubinfo/* | 
				serinfo/*)) | Binary/Enclosure/img/@src) != '') or 
				(Binary/Enclosure/Data/@EsriPropertyType = 'Base64'))]">
				<center><SPAN STYLE="text-align:center; color:#6495ED">_________________</SPAN></center><BR/>
			</xsl:if>

			<!-- show contents of Data Storage and Access Information -->
			<xsl:if test="/metadata[$any$ (idinfo/(citation/citeinfo/(ftname | 
				geoform | onlink) | native | accconst | useconst) | distinfo/stdorder/
				digform/(digtinfo/(formname | dssize | transize | filedec) | 
				digtopt/(onlinopt/(computer/(networka/* | sdeconn/* | 
				dialinst/(dialtel | dialfile)) | accinstr) | offoptn/offmedia))) != '']">

				<DIV ID="Desc_DataStorage" CLASS="ph1" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Desc_DataStorageIcon" class="icon" >&#187;</DIV> &#160;Data storage and access information</DIV>

				<DIV ID="Desc_DataStorageChild" CLASS="pe2" STYLE="display:none">

					<xsl:for-each select="/metadata/idinfo/citation/citeinfo/ftname[. != '']">
						<I>File name: </I><xsl:value-of /><BR/>
					</xsl:for-each>

					<xsl:for-each select="/metadata/idinfo/citation/citeinfo/geoform[. != '']">
						<I>Type of data: </I><xsl:value-of /><BR/>
					</xsl:for-each>    

					<xsl:for-each select="/metadata/idinfo/citation/citeinfo/onlink[. != '']">
						<xsl:if test="context()[0]">
								<I>Location of the data: </I>
						</xsl:if>
						<LI STYLE="margin-left:0.2in">
							<a>
								<xsl:attribute name="href"><xsl:value-of/></xsl:attribute>
								<xsl:value-of/>
							</a>
						</LI>
					</xsl:for-each>    

					<xsl:for-each select="/metadata/idinfo/native[. != '']">
						<I>Data processing environment: </I><SPAN CLASS="lt"><xsl:value-of /></SPAN><BR/>
					</xsl:for-each>

					<!-- Accessing the Data, or distribution forms -->
					<xsl:apply-templates select="/metadata/distinfo/stdorder/digform
						[($any$ digtinfo/(formname | dssize | transize | filedec) != '')
						or ($any$ digtopt/onlinopt/accinstr != '')
						or ($any$ digtopt/onlinopt/computer/(networka/* | sdeconn/*) != '')
						or ($any$ digtopt/onlinopt/computer/dialinst/(dialtel | dialfile) != '')
						or ($any$ digtopt/offoptn/offmedia != '')]" />

						<!-- show contents of Constraints -->
						<xsl:if test="/metadata[$any$ idinfo/(accconst | useconst) != '']">
							<DIV CLASS="ph1" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Desc_ConstraintsChildIcon" class="icon">&#187;</DIV> &#160;Constraints on accessing and using the data
								<DIV CLASS="pe2" STYLE="display:none">
									<xsl:apply-templates select="/metadata/idinfo/accconst[. != '']" />
									<xsl:apply-templates select="/metadata/idinfo/useconst[. != '']" />
								</DIV>
							</DIV>
						</xsl:if>
					</DIV>
			</xsl:if>


			<!-- divider -->
			<xsl:if test="/metadata[($any$ (idinfo/(citation/citeinfo/(ftname | 
				geoform | onlink) | native | accconst | useconst) | distinfo/stdorder/
				digform/(digtinfo/(formname | dssize | transize | filedec) | 
				digtopt/(onlinopt/(computer/(networka/* | sdeconn/* | 
				dialinst/(dialtel | dialfile)) | accinstr) | offoptn/offmedia))) != '') 

				and ($any$ (Esri/ModDate | metainfo/(metd | metrd | metfrd | metstdn | 
				metstdv | mettc | metextns/* | metc/cntinfo/(cntvoice | cntfax | 
				cntemail | hours | cntinst | */cntper | */cntorg | 
				cntaddr/(address | city | state | postal | country)))) != '')]">
					<BR/>
			</xsl:if>

			<!-- show content on Description/Document Details -->
			<xsl:if test="/metadata[(Esri/ModDate != '') or 
				($any$ metainfo/(metd | metrd | metfrd | metstdn | metstdv | mettc | 
				metextns/* | metc/cntinfo/(cntvoice | cntfax | cntemail | 
				hours | cntinst | */cntper | */cntorg | cntaddr/(address | city | 
				state | postal | country))) != '')]">
					<DIV ID="Desc_DocDetails" CLASS="ph1" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Desc_DocDetailsIcon" class="icon">&#187;</DIV> &#160;Details about this document</DIV>

					<DIV ID="Desc_DocDetailsChild" CLASS="pe2" STYLE="display:none">
						<xsl:choose>
							<xsl:when test="/metadata[Esri/ModDate != '']">
								<i>Contents last updated</i>: <xsl:value-of select="/metadata/Esri/ModDate"/>
								<xsl:if test="/metadata[Esri/ModTime != '']">
									<i>at time</i> <xsl:value-of select="/metadata/Esri/ModTime"/>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<xsl:for-each select="/metadata/metainfo/metd[. != '']">
									<i>Contents last updated</i>: <xsl:value-of />
								</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>

						<xsl:apply-templates select="/metadata/metainfo[(metrd != '') or
							(metfrd != '') or (metstdn != '') or (metstdv != '') or 
							(mettc != '') or ($any$ metextns/* != '') or
							(metc/cntinfo/cntvoice != '') or (metc/cntinfo/cntfax != '') or
							(metc/cntinfo/cntemail != '') or (metc/cntinfo/hours != '') or
							(metc/cntinfo/cntinst != '') or (metc/cntinfo/cntaddr/* != '') or
							(metc/cntinfo/*/cntper != '') or (metc/cntinfo/*/cntorg != '')]" />
					</DIV>
			</xsl:if>

			<BR/>
			<!-- NEW Descripton/Data Quality -->
			<DIV CLASS="ph1" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Desc_DataQualityIcon" class="icon">&#187;</DIV> &#160;Data Quality
				<DIV CLASS="pe2" STYLE="display:none">
					<xsl:apply-templates select="metadata/dataqual"/>
				</DIV>
			</DIV>
		</xsl:when>

		<!-- If nothing to show in Description tab, show message -->
		<xsl:otherwise>
			<BR/>
			<SPAN STYLE="text-align:center; color:#6495ED">No descriptive information about the data is available.</SPAN>
			<BR/>
		</xsl:otherwise>

	</xsl:choose>
	</DIV>
	<!-- end of Description Tab -->



	<!-- Spatial Tab -->
	<DIV ID="Spatial" class="pv" STYLE="display:none"><BR/>

		<xsl:choose>
			<xsl:when test="/metadata[($any$ (spdoinfo/(ptvctinf/(
				esriterm/* | sdtsterm/* | vpfterm/(vpflevel | vpfinfo/*)) | 
				rastinfo/* | netinfo/(nettype | connrule/*)) | 

				idinfo/spdom/(bounding/* | lboundng/* | minalti | maxalti) | 

				spref/(horizsys/(geograph/* | planar//* | local/* | cordsysn/* | 
				geodetic/*) | vertdef//*) | 

				dataqual/posacc/(horizpa/(horizpar | qhorizpa/horizpav) | 
				vertacc/(vertaccr | qvertpa/vertaccv))) != '')]">

				<!-- Show contents of Horizontal Coordinate System tab -->
				<xsl:apply-templates select="/metadata/spref/horizsys
					[$any$ (geograph/* | planar//* | local/* | cordsysn/* | 
					geodetic/*) != '']" />

				<!-- divider -->
				<xsl:if test="/metadata[($any$ spref/horizsys/(geograph/* | 
					planar//* | local/* | cordsysn/* | geodetic/*) != '') 
					and ($any$ spref/vertdef//* != '')]"> 
					<BR/>
				</xsl:if>

				<!-- Show contents of Vertical Coordinate System tab -->
				<xsl:apply-templates select="/metadata/spref/vertdef[$any$ */* != '']" />

				<!-- divider -->
				<xsl:if test="/metadata[($any$ idinfo/spdom/(bounding/* | 
					lboundng/* | minalti | maxalti) != '') and ($any$ spref/
					(horizsys/(geograph/* | planar//* | local/* | cordsysn/* | 
					geodetic/*) | vertdef//*) != '')]">
					<center><SPAN STYLE="text-align:center; color:#6495ED">_________________</SPAN></center><BR/>
				</xsl:if>

				<xsl:apply-templates select="/metadata/idinfo/spdom
					[$any$ (bounding/* | lboundng/* | minalti | maxalti) != '']" />

				<!-- divider -->
				<xsl:if test="/metadata[($any$ dataqual/posacc/(horizpa/
					(horizpar | qhorizpa/horizpav) | vertacc/(vertaccr | 
					qvertpa/vertaccv)) != '') and ($any$ (idinfo/spdom/
					(bounding/* | lboundng/* | minalti | maxalti) | 
					spref/(horizsys/(geograph/* | planar//* | local/* | 
					cordsysn/* | geodetic/*) | vertdef//*)) != '')]">
					<center><SPAN STYLE="text-align:center; color:#6495ED">_________________</SPAN></center><BR/>
				</xsl:if>

				<!-- content of Spatial Data Quality tab -->
				<xsl:apply-templates select="/metadata/dataqual/posacc
					[$any$ (horizpa/(horizpar | qhorizpa/horizpav) | 
					vertacc/(vertaccr | qvertpa/vertaccv)) != '']" />

				<!-- divider -->
				<xsl:if test="/metadata[($any$ spdoinfo/(ptvctinf/(esriterm/* |
					sdtsterm/* | vpfterm/(vpflevel | vpfinfo/*)) | rastinfo/* |
					netinfo/(nettype | connrule/*)) != '')
					
					and ($any$ (idinfo/spdom/(bounding/* | lboundng/* | minalti | maxalti) |
					spref/(horizsys/(geograph/* | planar//* | local/* |
					cordsysn/* | geodetic/*) | vertdef//*) |
					dataqual/posacc/(horizpa/(horizpar | qhorizpa/horizpav) |
					vertacc/(vertaccr | qvertpa/vertaccv))) != '')]">
					<center><SPAN STYLE="text-align:center; color:#6495ED">_________________</SPAN></center><BR/>
				</xsl:if>

				<!-- content of Spatial data description tab -->
				<xsl:if test="/metadata[$any$ spdoinfo/(ptvctinf/(esriterm/* | 
					sdtsterm/* | vpfterm/(vpflevel | vpfinfo/*)) | 
					netinfo/(nettype | connrule/*) | rastinfo/*) != '']">
					<SPAN CLASS="pn">Spatial data description</SPAN><BR/>
				</xsl:if>

				<!-- show content of Vector data information tab -->
				<xsl:if test="/metadata[$any$ spdoinfo/ptvctinf/(esriterm/* |
					sdtsterm/* | vpfterm/(vpflevel | vpfinfo/*)) != '']">
					<SPAN CLASS="pn" STYLE="margin-left:0.2in">Vector data information</SPAN>
				</xsl:if>

				<xsl:apply-templates select="/metadata/spdoinfo/ptvctinf/esriterm
					[$any$ * != '']" />

				<xsl:if test="/metadata[($any$ spdoinfo/ptvctinf/esriterm/* != '') and 
					($any$ spdoinfo/ptvctinf/sdtsterm/* != '')]">
					<BR/>
				</xsl:if>

				<!-- content of SDTS description tab -->
				<xsl:if test="/metadata[$any$ spdoinfo/ptvctinf/sdtsterm != '']">
					<DIV CLASS="ph2" STYLE="margin-left:0.4in" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Spatial_sdts_descIcon" class="icon">&#187;</DIV> &#160;SDTS description
						<DIV CLASS="pe2" STYLE="display:none">
							<xsl:apply-templates select="/metadata/spdoinfo/ptvctinf/sdtsterm[$any$ * != '']" />
						</DIV>
					</DIV>
				</xsl:if>

				<xsl:if test="/metadata[($any$ spdoinfo/ptvctinf/(esriterm/* |
					sdtsterm/*) != '') and ($any$ spdoinfo/ptvctinf/vpfterm/(vpflevel |
					vpfinfo/*) != '')]">
						<BR/>
				</xsl:if>

				<xsl:if test="/metadata[$any$ spdoinfo/ptvctinf/vpfterm/(vpflevel |
					vpfinfo/*) != '']">
					<DIV CLASS="ph2" STYLE="margin-left:0.4in" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">VPF description
						<DIV CLASS="pe2" STYLE="display:none">
							<xsl:apply-templates select="/metadata/spdoinfo/ptvctinf/vpfterm[(vpflevel != '') or ($any$ vpfinfo/* != '')]" />
						</DIV>
					</DIV>
				</xsl:if>

				<xsl:if test="/metadata[($any$ spdoinfo/ptvctinf/(esriterm/* |
					sdtsterm/* | vpfterm/(vpflevel | vpfinfo/*)) != '')
					and ($any$ spdoinfo/netinfo/(nettype | connrule/*) != '')]">
					<BR/>
				</xsl:if>

				<xsl:apply-templates select="/metadata/spdoinfo/netinfo
					[(nettype != '') or ($any$ connrule/* != '')]" />

				<xsl:if test="/metadata[($any$ spdoinfo/rastinfo/* != '') and
					($any$ spdoinfo/(ptvctinf/(esriterm/* | sdtsterm/* | vpfterm/
					(vpflevel | vpfinfo/*)) | netinfo/(nettype | connrule/*)) != '')]">
					<BR/>
				</xsl:if>

				<xsl:apply-templates select="/metadata/spdoinfo/rastinfo[$any$ * != '']" />

			</xsl:when>

			<!-- If nothing to show in Spatial tab, show message -->
			<xsl:otherwise>
				<BR/>
				<SPAN STYLE="text-align:center; color:#6495ED">
					No detailed spatial information is is available.
				</SPAN>
				<BR/> 
			</xsl:otherwise>
		</xsl:choose>

	</DIV>
	<!-- end of Spatial Tab -->



	<!-- Show contents of Themes tab -->
	<!-- Themes Tab -->
	<DIV ID="Themes" class="pv" STYLE="display:none"><BR/>

	<xsl:choose>
		<xsl:when test="/metadata[($any$ eainfo/(overview/* |
			detailed/(enttyp/(enttypl | enttypt | enttypc | enttypd) | relinfo/* |
			attr/(attrlabl | attalias | attrtype | attwidth | atprecis |
			atoutwid | atnumdec | atscale | attrdef) | subtype/(stname |
			stcode | stfield/(stfldnm | stflddv | stflddd/*)))) != '')]">


			<xsl:for-each select="metadata/eainfo/detailed[$any$
				(enttyp/(enttypl | enttypt | enttypc | enttypd) |
				relinfo/* |
				attr/(attrlabl | attalias | attrtype | attwidth | atprecis |
					atoutwid | atnumdec | atscale | attrdef) |
				subtype/(stname | stcode | stfield/(stfldnm | stflddv | stflddd/*))) != '']">

					<!-- show paragraph start for each Attribute -->
					<xsl:choose>
						<xsl:when test="context()[enttyp/enttypl != '']">

							<!--Name for an Attribute -->
							<DIV class="ph1" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">
								<xsl:attribute name="id">Attrib_<xsl:value-of select="enttyp/enttypl"/></xsl:attribute>
								<DIV class="icon"><xsl:attribute name="id">Attrib_<xsl:value-of select="enttyp/enttypl"/>Icon</xsl:attribute>&#187;</DIV>&#160;
									<xsl:value-of select="enttyp/enttypl"/>
							  </DIV>


							<!--  show description data on each Attribute -->
							<xsl:apply-templates select="enttyp[(enttypt != '')
								or (enttypc != '') or (enttypd != '')]" />

							<DIV CLASS="pe2" style="display:none;margin-left:0.25in">
								<xsl:attribute name="id">Attrib_<xsl:value-of select="enttyp/enttypl"/>Child</xsl:attribute>

								<xsl:apply-templates select="relinfo[$any$ * != '']" />
								<!-- show data on Attributes of each Attribute (attrlabl under enttype) -->
								<xsl:apply-templates select="attr[(attrlabl != '')
									or (attalias != '') or (attrtype != '')
									or (attwidth != '') or (atprecis != '')
									or (atoutwid != '') or (atnumdec != '')
									or (attscale != '') or (attrdef != '')]" />

			       		           		<xsl:if test="context()[($any$ subtype/(stname |
									stcode |
									stfield/(stfldnm | stflddv | stflddd/*)) != '')
									and ($any$ (relinfo/* | attr/(attrlabl |
									attalias | attrtype | attwidth |
									atprecis | atoutwid | atnumdec | atscale |
									attrdef)) != '')]">
										<BR/>
								</xsl:if>

								<xsl:apply-templates select="subtype[(stname != '')
									or (stcode != '')
									or ($any$ stfield/(stfldnm | stflddv) != '')
									or ($any$ stfield/stflddd/* != '')]" />
							</DIV>
						</xsl:when>
						<xsl:otherwise>
							<SPAN CLASS="pn">Entity details</SPAN><BR/>
						</xsl:otherwise>
					</xsl:choose>

				</xsl:for-each>

				<xsl:if test="/metadata[($any$ eainfo/overview/* != '')

					and ($any$ eainfo/detailed/(enttyp/(enttypl | enttypt | enttypc | enttypd) |
					relinfo/* | attr/(attrlabl | attalias | attrtype | attwidth |
					atprecis | atoutwid | atnumdec | atscale | attrdef) |
					subtype/(stname | stcode | stfield/(stfldnm | stflddv |
					stflddd/*))) != '')]">
					<SPAN STYLE="text-align:center; color:#6495ED">_________________</SPAN><BR/>
				</xsl:if>

				<xsl:apply-templates select="metadata/eainfo/overview[$any$ * != '']" />

			</xsl:when>

			<!-- If nothing to show in Attributes tab, show message -->
			<xsl:otherwise>
				<BR/>
				<SPAN STYLE="text-align:center; color:#6495ED">
					No detailed attribute information is available.
				</SPAN>
				<BR/>
			</xsl:otherwise>
		</xsl:choose>

	</DIV>
	<!-- end of contents of Themes tab -->

</DIV>
<!-- end of frameborder DIV -->

	<!--
	<table id="footer" name="footer" width="100%" height="10px" topMargin="0" border="0" cellpadding="0" cellspacing="1">
		<tr>
			<td class="clear" width="10"></td>
			<td class="TDLeft"><a href="#top"><font face="Verdana,Arial,Helvetica" size="1">Back to top</font></a></td>
		</tr>
		<tr>
			<td colspan="2" class="TDRight" align="right" valign="top">
				<font size="1" face="Verdana,Arial,Helvetica" color="#004031">
				&#169; 2002 Information Services Corporation of Saskatchewan
				<br/>All Rights Reserved
				</font>
			</td>
		</tr>
	</table>
	-->
	<style>
		.modFtrTd {
    			PADDING-RIGHT: 0px;
    			PADDING-LEFT: 0px;
    			FONT-SIZE: 10px;
    			PADDING-BOTTOM: 4px;
    			COLOR: #ffffff;
    			PADDING-TOP: 4px;
    			BACKGROUND-COLOR: #004c40;
			VERTICAL-ALIGN: middle;
		}
	</style>
	<table width="100%" border="0" cellspacing="0" cellpadding="0" id="Table1">
	<tr>
		<td class="modFtrTd" align="right" nowrap="nowrap" style="text-align:right"><p class="copyright">Copyright &#169; 2003 Information Services Corporation</p></td>
		<td class="modFtrTd"><img src="/images/pxl_trans.gif" width="5" height="1" alt="" border="0"/></td>
	</tr>
	</table>
	

</xsl:otherwise> 
</xsl:choose> 

</BODY>
</HTML>
</xsl:template>

=======================================================================================

<!-- DESCRIPTION TAB -->

<!-- Thumbnail -->
<xsl:template match="/metadata/Binary/Thumbnail/img[(@src != '')]">
      <IMG ID="thumbnail" ALIGN="absmiddle" STYLE="height:144; 
          border:'2 outset #FFFFFF'; position:relative">
        <xsl:attribute name="SRC"><xsl:value-of select="@src"/></xsl:attribute>
      </IMG>
      <BR/><BR/>
</xsl:template>

<xsl:template match="/metadata/idinfo/browse/img[@src != '']">
  <xsl:if test="context()[not (/metadata/Binary/Thumbnail/img)]">
      <xsl:if test="../@BrowseGraphicType[. = 'Thumbnail']">
        <IMG ID="thumbnail" ALIGN="absmiddle" STYLE="height:144; 
            border:'2 outset #FFFFFF'; position:relative">
          <xsl:attribute name="SRC"><xsl:value-of select="@src"/></xsl:attribute>
        </IMG>
        <BR/><BR/>
      </xsl:if>
      <xsl:if test="context()[not (../../browse/@BrowseGraphicType)]">
        <IMG ID="thumbnail" ALIGN="absmiddle" STYLE="height:144; border:'2 outset #FFFFFF'; position:relative">
          <xsl:attribute name="SRC"><xsl:value-of select="@src"/></xsl:attribute>
        </IMG>
        <BR/><BR/>
      </xsl:if>
  </xsl:if>
</xsl:template>

--------

<!-- Keywords -->
<xsl:template match="/metadata/idinfo/keywords[$any$ */(themekey | placekey | stratkey | tempkey) != '']">
  <SPAN CLASS="pn">Keywords</SPAN>

  <xsl:for-each select="theme[$any$ themekey != '']">
    <DIV STYLE="margin-left:0.2in" CLASS="lt2"><SPAN CLASS="pn">Theme:&#160;</SPAN>
      <xsl:for-each select="themekey">
        <xsl:choose>
          <xsl:when test="context()[. = 'REQUIRED: Common-use word or phrase used to describe the subject of the data set.']">
            <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="context()[. = 'Common-use word or phrase used to describe the subject of the data set.  REQUIRED.']">
                <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN>
              </xsl:when>
              <xsl:otherwise><xsl:value-of /></xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose><xsl:if test="context()[not(end()) and . != '']">, </xsl:if>
      </xsl:for-each>
    </DIV>
  </xsl:for-each>

  <xsl:for-each select="place[$any$ placekey != '']">
    <SPAN STYLE="margin-left:0.2in" CLASS="lt2"><SPAN CLASS="pn">Place: </SPAN>
      <xsl:for-each select="placekey">
        <xsl:value-of /><xsl:if test="context()[not(end()) and . != '']">, </xsl:if>
      </xsl:for-each>
    </SPAN>
    <BR/>
  </xsl:for-each>

  <xsl:for-each select="stratum[$any$ stratkey != '']">
    <DIV STYLE="margin-left:0.2in" CLASS="lt2"><SPAN CLASS="pn">Stratum: </SPAN>
      <xsl:for-each select="stratkey">
        <xsl:value-of /><xsl:if test="context()[not(end()) and . != '']">, </xsl:if>
      </xsl:for-each>
    </DIV>
  </xsl:for-each>

  <xsl:for-each select="temporal[$any$ tempkey != '']">
    <DIV STYLE="margin-left:0.2in" CLASS="lt2"><SPAN CLASS="pn">Temporal: </SPAN>
      <xsl:for-each select="tempkey">
        <xsl:value-of /><xsl:if test="context()[not(end()) and . != '']">, </xsl:if>
      </xsl:for-each>
    </DIV>
  </xsl:for-each>

</xsl:template>

--------

<!-- Description -->
<xsl:template match="/metadata/idinfo/descript[(abstract != '') or (purpose != '') or 
    (supplinf != '')]">
  <xsl:for-each select="abstract[. != '']">
  	<!-- hideShowGroup(this) -->
    <DIV CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)" ><DIV class="icon" id="Desc_AbstractIcon">-</DIV> &#160;Abstract
      <DIV CLASS="pe2" STYLE="display:block">
        <xsl:choose>
          <xsl:when test="context()[. = 'REQUIRED: A brief narrative summary of the data set.']">
            <SPAN CLASS="lt" STYLE="color:#999999"><xsl:value-of /></SPAN><BR/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="context()[. = 'A brief narrative summary of the data set.  REQUIRED.']">
                <SPAN CLASS="lt" STYLE="color:#999999"><xsl:value-of /></SPAN><BR/>
              </xsl:when>
              <xsl:otherwise>
                <SPAN CLASS="lt"><xsl:eval>this.text</xsl:eval></SPAN><BR/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </DIV>
    </DIV>
  </xsl:for-each>
  <xsl:for-each select="purpose[. != '']">
    <DIV CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Desc_PurposeIcon" class="icon">-</DIV> &#160;Purpose
      <DIV ID="Purpose" CLASS="pe2" STYLE="display:block">
        <xsl:choose>
          <xsl:when test="context()[. = 'REQUIRED: A summary of the intentions with which the data set was developed.']">
            <SPAN CLASS="lt" STYLE="color:#999999"><xsl:value-of /></SPAN><BR/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="context()[. = 'A summary of the intentions with which the data set was developed.  REQUIRED.']">
                <SPAN CLASS="lt" STYLE="color:#999999"><xsl:value-of /></SPAN><BR/>
              </xsl:when>
              <xsl:otherwise>
                <SPAN CLASS="lt"><xsl:eval>this.text</xsl:eval></SPAN><BR/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </DIV>
    </DIV>
  </xsl:for-each>
  <xsl:for-each select="supplinf[. != '']">
    <DIV CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Desc_SuppIcon" class="icon">-</DIV> &#160;Supplementary Information
      <DIV CLASS="pe2" STYLE="display:block">
        <SPAN CLASS="lt"><xsl:eval>this.text</xsl:eval></SPAN><BR/>
      </DIV>
    </DIV>
  </xsl:for-each>
</xsl:template>

--------

<!-- Enclosures -->
<xsl:template match="/metadata/Binary[(Enclosure/Data/@EsriPropertyType = 'Base64') or 
    (Enclosure/img/@src != '')]">
  <DIV CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">Enclosed files containing additional information
    <DIV CLASS="pe2" STYLE="display:block">
      <xsl:for-each select="Enclosure[Data/@EsriPropertyType = 'Base64']">
        <LI><xsl:value-of select="Data/@OriginalFileName"/>: <xsl:value-of select="./Descript"/></LI>
      </xsl:for-each>
      <xsl:for-each select="Enclosure[img/@src != '']">
        <LI><xsl:value-of select="img/@OriginalFileName"/> (Image): <xsl:value-of select="./Descript"/></LI>
      </xsl:for-each>
      <xsl:if test="context()[$any$ Enclosure[img/@src != '']]">
        <DIV CLASS="ph2" STYLE="margin-left=-0.25" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">Show thumbnails of images
          <DIV CLASS="pe2" STYLE="display:none">
            <BR/>
            <xsl:for-each select="Enclosure[img/@src != '']">
              <IMG STYLE="height:144; border:'2 outset #FFFFFF'; position:relative">
                <xsl:attribute name="TITLE"><xsl:value-of select="img/@OriginalFileName"/></xsl:attribute>
                <xsl:attribute name="SRC"><xsl:value-of select="img/@src"/></xsl:attribute>
              </IMG>
              <BR/><BR/>
            </xsl:for-each>
          </DIV>
        </DIV>
      </xsl:if>
    </DIV>
  </DIV>
</xsl:template>

--------

<!-- Browse Graphics -->
<xsl:template match="/metadata/idinfo/browse[browsen != '']">
  <LI>
    <xsl:for-each select="browsed[. != '']"><xsl:value-of /></xsl:for-each><xsl:for-each select="browset[. != '']"> (<xsl:value-of/>)</xsl:for-each><xsl:if test="context()[(browset != '') or (browsed != '')]">: </xsl:if>
    <xsl:for-each select="browsen[. != '']">
      <A TARGET="viewer"><xsl:attribute name="HREF"><xsl:value-of/></xsl:attribute><xsl:value-of/></A>
    </xsl:for-each>
  </LI>
</xsl:template>

--------

<!-- Status -->
<xsl:template match="/metadata/idinfo/status[$any$ * != '']">
  <DIV CLASS="ph1" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Desc_datastatusIcon" class="icon">&#187;</DIV> &#160;Status of the data
    <DIV CLASS="pe2" STYLE="display:none">
      <xsl:for-each select="progress[. != '']">
        <xsl:choose>
          <xsl:when test="context()[. = 'REQUIRED: The state of the data set.']">
            <SPAN STYLE="color:#999999;margin-left:0.2in"><xsl:value-of /></SPAN><BR/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="context()[. = 'The state of the data set.  REQUIRED.']">
                <SPAN STYLE="color:#999999;margin-left:0.2in"><xsl:value-of /></SPAN><BR/>
              </xsl:when>
              <xsl:otherwise>
                <SPAN STYLE="margin-left:0.2in"><xsl:value-of /></SPAN><BR/>
	      </xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>

      <xsl:for-each select="update[. != '']">
        <I>Data update frequency: </I>
        <xsl:choose>
          <xsl:when test="context()[. = 'REQUIRED: The frequency with which changes and additions are made to the data set after the initial data set is completed.']">
            <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN><BR/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="context()[. = 'The frequency with which changes and additions are made to the data set after the initial data set is completed.  REQUIRED.']">
                <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN><BR/>
              </xsl:when>
              <xsl:otherwise><xsl:value-of/><BR/></xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
    </DIV>
  </DIV>
</xsl:template>

--------

<!-- Time Period of the Data -->
<xsl:template match="/metadata/idinfo/timeperd[$any$ .//* != '']">
  <DIV CLASS="ph1" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Desc_timeperiodIcon" class="icon">&#187;</DIV> &#160;Time period for which the data is relevant
    <DIV CLASS="pe2" STYLE="display:none">
      <xsl:apply-templates select="timeinfo/sngdate[$any$ * != '']"/>
      <xsl:apply-templates select="timeinfo/mdattim/sngdate[$any$ * != '']"/>
      <xsl:apply-templates select="timeinfo/rngdates[$any$ * != '']"/>
      <xsl:for-each select="current[. != '']">
          <I>Description: </I>
          <xsl:choose>
            <xsl:when test="context()[. = 'REQUIRED: The basis on which the time period of content information is determined.']">
              <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN>
            </xsl:when>
            <xsl:otherwise>
              <xsl:choose>
                <xsl:when test="context()[. = 'The basis on which the time period of content information is determined.  REQUIRED.']">
                  <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN>
                </xsl:when>
                <xsl:otherwise>
                  <SPAN CLASS="lt"><xsl:eval>this.text</xsl:eval></SPAN><BR/>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:otherwise>
          </xsl:choose>
      </xsl:for-each>
    </DIV>
  </DIV>
</xsl:template>

--------

<!-- Publication Info -->
<xsl:template match="/metadata/idinfo/citation/citeinfo[(origin != '') or (pubdate != '') or 
    (pubtime != '') or ($any$ pubinfo/* != '') or ($any$ serinfo/* != '')]">
  <DIV CLASS="ph1" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Desc_pubinfoIcon" class="icon">&#187;</DIV> &#160;Publication Information
    <DIV CLASS="pe2" STYLE="display:none"><SPAN CLASS="lt2">

      <xsl:for-each select="origin[$any$ . != '']">
        <xsl:if test="context()[0]"><I>Who created the data: </I></xsl:if>
        <xsl:choose>
          <xsl:when test="context()[. = 'REQUIRED: The name of an organization or individual that developed the data set.']">
            <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="context()[. = 'The name of an organization or individual that developed the data set.  REQUIRED.']">
                <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN>
              </xsl:when>
              <xsl:otherwise><xsl:if test="context()[. != '']"><xsl:value-of/></xsl:if></xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="context()[not(end()) and . != '']">, </xsl:if>
        <xsl:if test="context()[end()]"><BR/></xsl:if>
      </xsl:for-each></SPAN>

      <xsl:if test="context()[(pubdate != '') or (pubtime != '')]">
        <I>Date and time: </I>
          <xsl:choose>
            <xsl:when test="context()[pubdate = 'REQUIRED: The date when the data set is published or otherwise made available for release.']">
              <SPAN STYLE="color:#999999"><xsl:value-of select="pubdate"/></SPAN>
            </xsl:when>
            <xsl:otherwise>
              <xsl:choose>
                <xsl:when test="context()[pubdate = 'The date when the data set is published or otherwise made available for release.  REQUIRED']">
                  <SPAN STYLE="color:#999999"><xsl:value-of select="pubdate"/></SPAN>
                </xsl:when>
                <xsl:otherwise><xsl:value-of select="pubdate"/></xsl:otherwise>
              </xsl:choose>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:if test="context()[pubtime != '']"> at time <xsl:value-of select="pubtime"/></xsl:if>
      </xsl:if>

      <xsl:for-each select="pubinfo[$any$ * != '']">
        <BR/><I>Publisher and place: </I>
	  <DIV STYLE="margin-left:0.2in">
            <xsl:value-of select="publish"/><xsl:if test="context()[publish != '' and pubplace != '']">, </xsl:if>
            <xsl:value-of select="pubplace"/>
	  </DIV>
      </xsl:for-each>

      <xsl:for-each select="serinfo/sername[. != '']">
        <BR/><I>Series name: </I><xsl:value-of/>
      </xsl:for-each>
      <xsl:for-each select="serinfo/issue[. != '']">
        <BR/><I>Series issue: </I><xsl:value-of/>
      </xsl:for-each>
    </DIV>
  </DIV>
</xsl:template>

--------

<!-- Distribution Info -->
<xsl:template match="/metadata/distinfo/stdorder/digform[($any$ digtinfo/(formname | 
    dssize | transize | filedec) != '') or ($any$ digtopt/onlinopt/accinstr != '') or 
    ($any$ digtopt/onlinopt/computer/(networka/* | sdeconn/*) != '') or 
    ($any$ digtopt/onlinopt/computer/dialinst/(dialtel | dialfile) != '') or 
    ($any$ digtopt/offoptn/offmedia != '')]">
  <DIV CLASS="ph1" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Desc_AccessingDataChildIcon" class="icon">&#187;</DIV> &#160;Accessing the data
    <DIV CLASS="pe2" STYLE="display:none">
      <xsl:for-each select="digtinfo/formname[. != '']">
        <I>Data format: </I><xsl:value-of /><BR/>
      </xsl:for-each>
      <xsl:for-each select="digtinfo/dssize[. != '']">
        <I>Size of the data: </I><xsl:value-of /> MB<BR/>
      </xsl:for-each>
      <xsl:for-each select="digtinfo/transize[. != '']">
        <I>Data transfer size: </I><xsl:value-of /> MB<BR/>
      </xsl:for-each>
      <xsl:for-each select="digtinfo/filedec[. != '']">
        <I>How to decompress the file: </I><xsl:value-of /><BR/>
      </xsl:for-each>
      <xsl:for-each select="digtopt/onlinopt"> 
        <xsl:for-each select="computer/networka/networkr[. != '']">
          <xsl:if test="context()[0]"><DIV CLASS="pn">Network location:</DIV></xsl:if>
          <DIV CLASS="pe2">
            <xsl:for-each select="context()[. != '']">
              <LI><xsl:value-of /></LI>
            </xsl:for-each>
          </DIV>
        </xsl:for-each>
        <xsl:for-each select="computer/sdeconn[$any$ * != '']">
          <DIV CLASS="pn">SDE connection:</DIV>
          <DIV CLASS="pe2">
            <LI>Server: <xsl:value-of select="server"/></LI>
            <LI>Instance: <xsl:value-of select="instance"/></LI>
            <LI>Version: <xsl:value-of select="version"/></LI>
            <LI>Username: <xsl:value-of select="user"/></LI>
          </DIV>
        </xsl:for-each>
        <xsl:for-each select="computer/dialinst[($any$ dialtel != '') or ($any$ dialfile != '')]">
          <xsl:if test="context()[0]"><DIV CLASS="pn">Dialup instructions:</DIV></xsl:if>
          <DIV CLASS="pe2">
            <xsl:for-each select="dialtel[. != '']">
              <LI><xsl:value-of /></LI>
            </xsl:for-each>
            <xsl:for-each select="dialfile[. != '']">
              <LI><xsl:value-of /></LI>
            </xsl:for-each>
          </DIV>
        </xsl:for-each>
        <xsl:for-each select="accinstr[. != '']">
          <DIV CLASS="pe2"><I>Access instructions: </I><xsl:value-of /></DIV>
        </xsl:for-each>
      </xsl:for-each>
      <xsl:for-each select="digtopt/offoptn/offmedia[. != '']">
        <xsl:if test="context()[0]"><I>Available media: </I></xsl:if>
        <xsl:if test="context()[. != '']"><xsl:value-of/></xsl:if>
        <xsl:if test="context()[not(end()) and . != '']">, </xsl:if>
        <xsl:if test="context()[end()]"><BR/></xsl:if>
      </xsl:for-each>
      <xsl:if test="/metadata[($any$ distinfo/stdorder/digform/(digtinfo/(formname | 
          dssize | transize | filedec) | digtopt/(onlinopt/(computer/(networka/* | 
          sdeconn/* | dialinst/(dialtel | dialfile)) | accinstr | offoptn/offmedia))) != '')
          and ($any$ idinfo/(accconst | useconst) != '')]">
        <BR/>
      </xsl:if>
    </DIV>
  </DIV>
</xsl:template>

--------

<!-- Data access constraints -->
<xsl:template match="/metadata/idinfo/accconst[. != '']">
  <I>Access constraints: </I>
  <xsl:choose>
    <xsl:when test="context()[. = 'REQUIRED: Restrictions and legal prerequisites for accessing the data set.']">
      <DIV STYLE="color:#999999;margin-left:0.2in"><xsl:value-of /></DIV>
    </xsl:when>
    <xsl:otherwise>
      <xsl:choose>
        <xsl:when test="context()[. = 'Restrictions and legal prerequisites for accessing the data set.  REQUIRED.']">
          <DIV STYLE="color:#999999;margin-left:0.2in"><xsl:value-of /></DIV>
        </xsl:when>
        <xsl:otherwise>
	  <DIV STYLE="margin-left:0.2in" CLASS="lt"><xsl:value-of /></DIV>
	</xsl:otherwise>
      </xsl:choose>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

--------

<!-- Data use constraints -->
<xsl:template match="/metadata/idinfo/useconst[. != '']">
    <I>Use constraints: </I>
    <xsl:choose>
      <xsl:when test="context()[. = 'REQUIRED: Restrictions and legal prerequisites for using the data set after access is granted.']">
        <DIV STYLE="color:#999999;margin-left:0.2in"><xsl:value-of /></DIV>
      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="context()[. = 'Restrictions and legal prerequisites for using the data set after access is granted.  REQUIRED.']">
            <DIV STYLE="color:#999999;margin-left:0.2in"><xsl:value-of /></DIV>
          </xsl:when>
          <xsl:otherwise>
            <DIV STYLE="margin-left:0.2in" CLASS="lt"><xsl:eval>this.text</xsl:eval></DIV>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>
</xsl:template>

--------

<!-- Metadata Info -->
<xsl:template match="/metadata/metainfo[(metrd != '') or (metfrd != '') or (metstdn != '') or 
    (metstdv != '') or (mettc != '') or ($any$ metextns/* != '') or (metc/cntinfo/cntvoice != '') or 
    (metc/cntinfo/cntfax != '') or (metc/cntinfo/cntemail != '') or (metc/cntinfo/hours != '') or 
    (metc/cntinfo/cntinst != '') or (metc/cntinfo/cntaddr/* != '') or 
    (metc/cntinfo/*/cntper != '') or (metc/cntinfo/*/cntorg != '')]">
  <xsl:for-each select="metrd[. != '']">
    <i>Contents last reviewed</i>: <xsl:value-of />
  </xsl:for-each>
  <xsl:for-each select="metfrd[. != '']">
    <i>Contents to be reviewed</i>: <xsl:value-of />
  </xsl:for-each>
  <xsl:if test="context()[($any$ metc/cntinfo/(cntvoice | cntfax | cntemail | hours | cntinst | 
      */cntper | */cntorg | cntaddr/(address | city | state | postal | country)) != '')]">
	<DIV CLASS="ph1" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Desc_WhoCompletedChildIcon" class="icon">&#187;</DIV> &#160;Who completed this document
		<DIV CLASS="pe2" STYLE="display:none">
			<xsl:apply-templates select="metc/cntinfo"/>
		</DIV>
	</DIV>
  </xsl:if>

  <xsl:if test="context()[(metstdn != '') or (metstdv != '') or (mettc != '') or 
      ($any$ metextns/* != '')]">
    <DIV CLASS="ph1" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Desc_StandardsUsedChildIcon" class="icon">&#187;</DIV> &#160;Standards used to create this document
      <DIV CLASS="pe2" STYLE="display:none">
        <xsl:for-each select="metstdn[. != '']">
          <I>Standard name: </I><xsl:value-of /><BR/>
        </xsl:for-each>
        <xsl:for-each select="metstdv[. != '']">
          <I>Standard version: </I><xsl:value-of /><BR/>
        </xsl:for-each>
        <xsl:for-each select="mettc[. != '']">
          <I>Time convention used in this document: </I><xsl:value-of /><BR/>
        </xsl:for-each>
        <xsl:for-each select="metextns[(metprof != '') or (onlink != '')]">
          <xsl:if test="context()[0]">Metadata profiles defining additonal information</xsl:if>
          <LI STYLE="margin-left:0.2in">
            <xsl:for-each select="metprof[. != '']"><xsl:value-of/></xsl:for-each><xsl:if test="context()[(metprof != '') and (onlink != '')]">: </xsl:if>
            <xsl:for-each select="onlink[. != '']">
              <A TARGET="viewer"><xsl:attribute name="HREF"><xsl:value-of/>
                </xsl:attribute><xsl:value-of/>
              </A>
              <xsl:if test="context()[not(end())]">, </xsl:if>
            </xsl:for-each>
          </LI>
        </xsl:for-each>
      </DIV>
    </DIV>
  </xsl:if>
</xsl:template>

====================================================================================================

<!-- SPATIAL TAB -->

<!-- Horizontal Coordinate Systems -->
<xsl:template match="/metadata/spref/horizsys[$any$ (geograph/* | 
    planar//* | local/* | cordsysn/* | geodetic/*) != '']">
  <DIV CLASS="pn">Horizontal coordinate system</DIV>
  <xsl:if test="context()[$any$ cordsysn/* != '']">
    <xsl:for-each select="cordsysn/projcsn[. != '']">
      <DIV STYLE="margin-left:0.2in"><I>Projected coordinate system name: </I><xsl:value-of/></DIV>
    </xsl:for-each>
    <xsl:for-each select="cordsysn/geogcsn[. != '']">
      <DIV STYLE="margin-left:0.2in"><I>Geographic coordinate system name: </I><xsl:value-of/></DIV>
    </xsl:for-each>
  </xsl:if>
  <xsl:if test="context()[$any$ (geograph/* | planar//* | local/* | geodetic/*) != '']">
    <DIV CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Spatial_hcsIcon" class="icon">&#187;</DIV> &#160;Details
      <DIV CLASS="pe2" STYLE="display:none">

        <xsl:apply-templates select="geograph[$any$ * != '']"/>
        <xsl:apply-templates select="planar[$any$ .//* != '']"/>
        <xsl:apply-templates select="local[$any$ * != '']"/>

        <xsl:if test="context()[($any$ (geograph/* | planar//* | local/*) != '') and 
            ($any$ geodetic/* != '')]">
          <BR/>
        </xsl:if>

        <xsl:apply-templates select="geodetic[$any$ * != '']"/>

      </DIV>
    </DIV>
  </xsl:if>
</xsl:template>

--------

<!-- Vertical Coordinate Systems -->
<xsl:template match="/metadata/spref/vertdef[$any$ .//* != '']">
  <DIV CLASS="pn">Vertical coordinate system</DIV>
  <DIV CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">Details
    <DIV CLASS="pe2" STYLE="display:none">
      <xsl:apply-templates select="context()"/>
    </DIV>
  </DIV>
</xsl:template>

--------

<!-- Bounding Coordinates -->
<xsl:template match="/metadata/idinfo/spdom[$any$ (bounding/* | lboundng/* | 
    minalti | maxalti) != '']">
  <DIV CLASS="pn">Bounding coordinates</DIV>
  <xsl:if test="context()[$any$ (bounding/* | lboundng/*) != '']">
    <DIV STYLE="margin-left:0.2in" CLASS="pn">Horizontal</DIV>
    <xsl:for-each select="bounding[$any$ * != '']">
      <DIV STYLE="margin-left:0.4in" CLASS="pn">In decimal degrees</DIV>
      <DIV STYLE="margin-left:0.6in"><I>West: </I>
        <xsl:choose>
          <xsl:when test="context()[westbc = 'REQUIRED: Western-most coordinate of the limit of coverage expressed in longitude.']">
            <SPAN STYLE="color:#999999"><xsl:value-of select="westbc"/></SPAN>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="context()[westbc = 'Western-most coordinate of the limit of coverage expressed in longitude.  REQUIRED.']">
                <SPAN STYLE="color:#999999"><xsl:value-of select="westbc"/></SPAN>
              </xsl:when>
              <xsl:otherwise><xsl:value-of select="westbc"/></xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </DIV>
      <DIV STYLE="margin-left:0.6in"><I>East: </I>
        <xsl:choose>
          <xsl:when test="context()[eastbc = 'REQUIRED: Eastern-most coordinate of the limit of coverage expressed in longitude.']">
            <SPAN STYLE="color:#999999"><xsl:value-of select="eastbc"/></SPAN>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="context()[eastbc = 'Eastern-most coordinate of the limit of coverage expressed in longitude.  REQUIRED.']">
                <SPAN STYLE="color:#999999"><xsl:value-of select="eastbc"/></SPAN>
              </xsl:when>
              <xsl:otherwise><xsl:value-of select="eastbc"/></xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </DIV>
      <DIV STYLE="margin-left:0.6in"><I>North: </I>
        <xsl:choose>
          <xsl:when test="context()[northbc = 'REQUIRED: Northern-most coordinate of the limit of coverage expressed in latitude.']">
            <SPAN STYLE="color:#999999"><xsl:value-of select="northbc"/></SPAN>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="context()[northbc = 'Northern-most coordinate of the limit of coverage expressed in latitude.  REQUIRED.']">
                <SPAN STYLE="color:#999999"><xsl:value-of select="northbc"/></SPAN>
              </xsl:when>
              <xsl:otherwise><xsl:value-of select="northbc"/></xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </DIV>
      <DIV STYLE="margin-left:0.6in"><I>South: </I>
        <xsl:choose>
          <xsl:when test="context()[southbc = 'REQUIRED: Southern-most coordinate of the limit of coverage expressed in latitude.']">
            <SPAN STYLE="color:#999999"><xsl:value-of select="southbc"/></SPAN>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="context()[southbc = 'Southern-most coordinate of the limit of coverage expressed in latitude.  REQUIRED.']">
                <SPAN STYLE="color:#999999"><xsl:value-of select="southbc"/></SPAN>
              </xsl:when>
              <xsl:otherwise><xsl:value-of select="southbc"/></xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </DIV>
    </xsl:for-each>
    <xsl:for-each select="lboundng[$any$ * != '']">
      <DIV STYLE="margin-left:0.4in" CLASS="pn">In projected or local coordinates</DIV>
      <DIV STYLE="margin-left:0.6in"><I>Left: </I><xsl:value-of select="leftbc"/></DIV>
      <DIV STYLE="margin-left:0.6in"><I>Right: </I><xsl:value-of select="rightbc"/></DIV>
      <DIV STYLE="margin-left:0.6in"><I>Top: </I><xsl:value-of select="topbc"/></DIV>
      <DIV STYLE="margin-left:0.6in"><I>Bottom: </I><xsl:value-of select="bottombc"/></DIV>
    </xsl:for-each>
  </xsl:if>

  <xsl:if test="context()[($any$ (bounding/* | lboundng/*) != '') and 
      ($any$ (minalti | maxalti) !='')]">
    <BR/>
  </xsl:if>

  <xsl:if test="context()[$any$ (minalti | maxalti) != '']">
    <DIV STYLE="margin-left:0.2in" CLASS="pn">Vertical</DIV>
    <xsl:for-each select="minalti[. != '']">
      <DIV STYLE="margin-left:0.4in"><I>Minimum elevation: </I>
        <xsl:if test="context()[. != '1.#QNAN0']"><xsl:value-of /></xsl:if>
        <xsl:if test="context()[. = '1.#QNAN0']">Unknown</xsl:if>
      </DIV>
    </xsl:for-each>
    <xsl:for-each select="maxalti[. != '']">
      <DIV STYLE="margin-left:0.4in"><I>Maximum elevation: </I>
        <xsl:if test="context()[. != '1.#QNAN0']"><xsl:value-of /></xsl:if>
        <xsl:if test="context()[. = '1.#QNAN0']">Unknown</xsl:if>
      </DIV>
    </xsl:for-each>
  </xsl:if>
</xsl:template>

--------

<!-- Data Quality -->
<xsl:template match="/metadata/dataqual/posacc[$any$ (horizpa/(horizpar | 
    qhorizpa/horizpav) | vertacc/(vertaccr | qvertpa/vertaccv)) != '']">
  <SPAN CLASS="pn">Spatial data quality</SPAN>
  <xsl:for-each select="horizpa[(horizpar != '') or (qhorizpa/horizpav != '')]">
    <DIV CLASS="ph2" STYLE="margin-left:0.2in" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Spatial_hpaIcon" class="icon">&#187;</DIV> &#160;Horizontal positional accuracy
      <DIV CLASS="pe2" STYLE="margin-left:0.2in; display:none">
        <xsl:for-each select="horizpar[. != '']">
          <SPAN CLASS="lt"><xsl:eval>this.text</xsl:eval></SPAN>
        </xsl:for-each>
        <xsl:for-each select="qhorizpa[$any$ horizpav != '']">
          <xsl:for-each select="horizpav[. != '']">
            <BR/><SPAN STYLE="margin-left:0.2in"><I>Estimated accuracy: </I><xsl:value-of /></SPAN>
          </xsl:for-each>
          <xsl:for-each select="horizpae[. != '']">
            <DIV STYLE="margin-left:0.2in"><I>How this value was determined: </I>
		<DIV STYLE="margin-left:0.2in" CLASS="lt"><xsl:eval>this.text</xsl:eval></DIV>
            </DIV>
          </xsl:for-each>
        </xsl:for-each>
      </DIV>
    </DIV>
  </xsl:for-each>

  <xsl:if test="context()[($any$ horizpa/(horizpar | qhorizpa/horizpav) != '')
      and ($any$ vertacc/(vertaccr | qvertpa/vertaccv) != '')]">
    <BR/>
  </xsl:if>

  <xsl:for-each select="vertacc[(vertaccr != '') or (qvertpa/vertaccv != '')]">
    <DIV CLASS="ph2" STYLE="margin-left:0.2in" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)"><DIV id="Spatial_vpaIcon" class="icon">&#187;</DIV> &#160;Vertical positional accuracy
      <DIV CLASS="pe2" STYLE="margin-left:0.2in; display:none">
        <xsl:for-each select="vertaccr[. != '']">
          <SPAN CLASS="lt"><xsl:eval>this.text</xsl:eval></SPAN>
        </xsl:for-each>
        <xsl:for-each select="qvertpa[$any$ vertaccv != '']">
          <xsl:for-each select="vertaccv[. != '']">
            <SPAN STYLE="margin-left:0.2in"><I>Estimated accuracy: </I><xsl:value-of /></SPAN>
          </xsl:for-each>
          <xsl:for-each select="vertacce[. != '']">
            <DIV STYLE="margin-left:0.2in">
              <I>How this value was determined: </I>
              <SPAN CLASS="lt"><xsl:eval>this.text</xsl:eval></SPAN>
            </DIV>      
          </xsl:for-each>
        </xsl:for-each>
      </DIV>
    </DIV>
  </xsl:for-each>
</xsl:template>

--------

<!-- ESRI feature description -->
<xsl:template match="/metadata/spdoinfo/ptvctinf/esriterm[$any$ * != '']">
  <xsl:if test="context()[0]"> 
    <DIV STYLE="margin-left:0.4in" CLASS="pn">ESRI description</DIV>
  </xsl:if>
  <DIV CLASS="ph2" STYLE="margin-left:0.6in" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">
    <xsl:choose>
      <xsl:when test="context()[@Name != '']">
        <xsl:value-of select="@Name"/>
      </xsl:when>
      <xsl:otherwise>
        Feature class
      </xsl:otherwise>
    </xsl:choose>
    <DIV CLASS="pe2" STYLE="display:none">
      <xsl:for-each select="efeatyp[. != '']">
        <I>ESRI feature type: </I><xsl:value-of /><BR/>
      </xsl:for-each>
      <xsl:for-each select="efeageom[. != '']">
        <I>Geometry type: </I><xsl:value-of /><BR/>
      </xsl:for-each>
      <xsl:for-each select="featdesc[. != '']">
        <I>Feature description: </I><xsl:value-of /><BR/>
      </xsl:for-each>
      <xsl:for-each select="esritopo[. != '']">
        <I>Topology: </I><xsl:value-of /><BR/>
      </xsl:for-each>
      <xsl:for-each select="efeacnt[. != '']">
        <I>Feature count: </I><xsl:value-of /><BR/>
      </xsl:for-each>
      <xsl:for-each select="spindex[. != '']">
        <I>Spatial Index: </I><xsl:value-of /><BR/>
      </xsl:for-each>
      <xsl:for-each select="linrefer[. != '']">
        <I>Linear referencing: </I><xsl:value-of /><BR/>
      </xsl:for-each>
      <xsl:for-each select="netwrole[. != '']">
        <I>Network role: </I><xsl:value-of /><BR/>
      </xsl:for-each><BR/>
    </DIV>
  </DIV>
</xsl:template>

--------

<!-- SDTS feature description -->
<xsl:template match="/metadata/spdoinfo/ptvctinf/sdtsterm[$any$ * != '']">
  <xsl:if test="context()[0]">
    <DIV>Feature class: SDTS feature type, feature count</DIV>
  </xsl:if>
  <DIV STYLE="margin-left:0.2in">
    <LI>
      <xsl:choose>
        <xsl:when test="context()[@Name != '']">
          <xsl:value-of select="@Name"/>: 
        </xsl:when>
        <xsl:otherwise>
          Feature class: 
        </xsl:otherwise>
      </xsl:choose>
      <xsl:value-of select="sdtstype"/><xsl:if test="context()[sdtstype != '' and ptvctcnt != '']">, </xsl:if>
      <xsl:value-of select="ptvctcnt"/>
    </LI>
  </DIV>
</xsl:template>

--------

<!-- VPF feature description -->
<xsl:template match="/metadata/spdoinfo/ptvctinf/vpfterm[(vpflevel != '') or ($any$ vpfinfo/* != '')]">
  <xsl:for-each select="vpflevel[. != '']">
    <DIV><I>Level of topology: </I><xsl:value-of /></DIV>
  </xsl:for-each>
  <xsl:for-each select="vpfinfo[$any$ * != '']">
    <xsl:if test="context()[0]">
      <DIV>Feature class: VPF feature type, feature count</DIV>
    </xsl:if>
    <DIV STYLE="margin-left:0.2in">
      <LI>
        <xsl:choose>
          <xsl:when test="context()[@Name != '']">
            <xsl:value-of select="@Name"/>: 
          </xsl:when>
          <xsl:otherwise>
            Feature class: 
          </xsl:otherwise>
        </xsl:choose>
        <xsl:value-of select="vpftype"/><xsl:if test="context()[vpftype != '' and ptvctcnt != '']">, </xsl:if>
        <xsl:value-of select="ptvctcnt"/>
      </LI>
    </DIV>
  </xsl:for-each>
</xsl:template>

--------

<!-- Geometric Network Information -->
<xsl:template match="/metadata/spdoinfo/netinfo[(nettype != '') or ($any$ connrule/* != '')]">
  <DIV CLASS="pn" STYLE="margin-left:0.2in">Geometric network information</DIV>
  <xsl:for-each select="nettype[. != '']">
    <DIV STYLE="margin-left:0.4in"><I>Network type: </I><xsl:value-of /></DIV>
  </xsl:for-each>
  <xsl:if test="context()[$any$ connrule/* != '']">
    <DIV CLASS="ph2" STYLE="margin-left:0.4in" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">Connectivity rule information
      <DIV STYLE="display:none">
        <DIV CLASS="pe2">In the connectivity rules below, feature classes are listed followed by their subtype.</DIV>
        <xsl:for-each select="connrule[$any$ * != '']">
          <DIV CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">Connectivity rule
            <DIV CLASS="pe2" STYLE="display:none">
              <xsl:for-each select="ruletype[. != '']">
                <I>Type of rule: </I><xsl:value-of /><BR/>
              </xsl:for-each>
              <xsl:for-each select="rulehelp[. != '']">
                <I>Rule description: </I><xsl:value-of /><BR/>
              </xsl:for-each>
              <xsl:for-each select="rulecat[. != '']">
                <I>Rule category: </I><xsl:value-of /><BR/>
              </xsl:for-each>
              <xsl:if test="context()[(rulefeid != '') or (rulefest != '')]">
                <I>From edge:</I> 
                <xsl:value-of select="rulefeid"/><xsl:if test="context()[rulefeid != '' and rulefest != '']">, </xsl:if>
                <xsl:value-of select="rulefest"/><BR/>
              </xsl:if>
              <xsl:if test="context()[(ruleteid != '') or (ruletest != '')]">
                <I>To edge:</I> 
                <xsl:value-of select="ruleteid"/><xsl:if test="context()[ruleteid != '' and ruletest != '']">, </xsl:if>
                <xsl:value-of select="ruletest"/><BR/>
              </xsl:if>
              <xsl:if test="context()[(ruleeid != '') or (ruleest != '') or 
                  (ruleemnc != '') or (ruleemxc != '')]">
                <SPAN CLASS="pn">Edge:</SPAN> 
                <xsl:value-of select="ruleeid"/><xsl:if test="context()[ruleeid != '' and ruleest != '']">, </xsl:if>
                <xsl:value-of select="ruleest"/><BR/>
                <DIV STYLE="margin-left:0.2in">
                  <xsl:for-each select="ruleemnc[. != '']">
                    <I>Minimum cardinality: </I><xsl:value-of /><BR/>
                  </xsl:for-each>
                  <xsl:for-each select="ruleemxc[. != '']">
                    <I>Maximum cardinality: </I><xsl:value-of /><BR/>
                  </xsl:for-each>
                </DIV>
              </xsl:if>
              <xsl:if test="context()[(rulejid != '') or (rulejst != '') or 
                  (rulejmnc != '') or (rulejmxc != '')]">
                <SPAN CLASS="pn">Junction:</SPAN> 
                <xsl:value-of select="rulejid"/><xsl:if test="context()[rulejid != '' and rulejst != '']">, </xsl:if>
                <xsl:value-of select="rulejst"/><BR/>
                <DIV STYLE="margin-left:0.2in">
                  <xsl:for-each select="rulejmnc[. != '']">
                    <I>Minimum cardinality: </I><xsl:value-of /><BR/>
                  </xsl:for-each>
                  <xsl:for-each select="rulejmxc[. != '']">
                    <I>Maximum cardinality: </I><xsl:value-of /><BR/>
                  </xsl:for-each>
                </DIV>
              </xsl:if>
              <xsl:if test="context()[(ruledjid != '') or (ruledjst != '')]">
                <DIV>
                  <I>Default junction:</I>
                  <xsl:value-of select="ruledjid"/><xsl:if test="context()[ruledjid != '' and ruledjst != '']">, </xsl:if>
                  <xsl:value-of select="ruledjst"/>
                </DIV>
              </xsl:if>
              <xsl:for-each select="rulejunc[(junctid != '') or (junctst != '')]">
                <xsl:if test="context()[0]">
                  <DIV><SPAN CLASS="pn">Available junctions</SPAN></DIV>
                </xsl:if>
                <DIV STYLE="margin-left:0.2in">
                  <LI>
                    <xsl:value-of select="junctid"/><xsl:if test="context()[junctid != '' and junctst != '']">, </xsl:if>
                    <xsl:value-of select="junctst"/>
                  </LI>
                </DIV>
              </xsl:for-each>
            </DIV>
          </DIV>
          <xsl:if test="context()[end()]"><BR/></xsl:if>
        </xsl:for-each>
      </DIV>
    </DIV>
  </xsl:if>
</xsl:template>

--------

<!-- Raster Dataset Information -->
<xsl:template match="/metadata/spdoinfo/rastinfo[$any$ * != '']">
  <DIV CLASS="pn" STYLE="margin-left:0.2in">Raster dataset information</DIV>
  <xsl:for-each select="rastifor[. != '']">
    <DIV STYLE="margin-left:0.4in"><I>Raster format: </I><xsl:value-of /></DIV>
  </xsl:for-each>
  <xsl:for-each select="rasttype[. != '']">
    <DIV STYLE="margin-left:0.4in"><I>SDTS raster type: </I><xsl:value-of /></DIV>
  </xsl:for-each>
  <xsl:for-each select="rastband[. != '']">
    <DIV STYLE="margin-left:0.4in"><I>Number of raster bands: </I><xsl:value-of /></DIV>
  </xsl:for-each>
  <xsl:if test="context()[(rastorig != '') or (rastplyr != '') or (rastcmap != '') or 
      (rastcomp != '') or (rastdtyp != '')]">
    <DIV CLASS="ph2" STYLE="margin-left:0.4in" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">Raster properties
      <DIV CLASS="pe2" STYLE="display:none">
        <xsl:for-each select="rastorig[. != '']">
          <DIV><I>Origin location: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="rastplyr[. != '']">
          <DIV><I>Has pyramids: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="rastcmap[. != '']">
          <DIV><I>Has colormap: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="rastcomp[. != '']">
          <DIV><I>Data compression type: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="rastdtyp[. != '']">
          <DIV><I>Display type: </I><xsl:value-of /></DIV>
        </xsl:for-each>
      </DIV>
    </DIV>
  </xsl:if>
  <xsl:if test="context()[(rastxsz != '') or (rastysz != '') or (rastbpp != '') or 
      (vrtcount != '') or (rowcount != '') or (colcount != '')]">
    <DIV CLASS="ph2" STYLE="margin-left:0.4in" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">Cell information
      <DIV CLASS="pe2" STYLE="display:none">
        <xsl:for-each select="colcount[. != '']">
          <DIV><I>Number of cells on x-axis: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="rowcount[. != '']">
          <DIV><I>Number of cells on y-axis: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="vrtcount[. != '']">
          <DIV><I>Number of cells on z-axis: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="rastbpp[. != '']">
          <DIV><I>Number of bits per cell: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:if test="context()[(rastxsz != '') or (rastysz != '')]">
          <DIV CLASS="pn">Cell Size</DIV>
          <xsl:for-each select="rastxsz[. != '']">
            <DIV STYLE="margin-left:0.2in"><I>X distance: </I><xsl:value-of /></DIV>
          </xsl:for-each>
          <xsl:for-each select="rastysz[. != '']">
            <DIV STYLE="margin-left:0.2in"><I>Y distance: </I><xsl:value-of /></DIV>
          </xsl:for-each>
        </xsl:if>
      </DIV>
    </DIV>
  </xsl:if>
  <xsl:if test="context()[not(end())]"><BR/></xsl:if>
</xsl:template>

=================================================================================================

<!-- ATTRIBUTES TAB -->

<!-- Entity type -->
<xsl:template match="/metadata/eainfo/detailed/enttyp[(enttypt != '') or (enttypc != '') or (enttypd != '')]">
	<xsl:for-each select="enttypt[. != '']">
		<DIV STYLE="margin-left:0.2in"><I>Type of object: </I><xsl:value-of /></DIV>
	</xsl:for-each>
	<xsl:for-each select="enttypc[. != '']">
		<DIV STYLE="margin-left:0.2in"><I>Number of records: </I><xsl:value-of /></DIV>
	</xsl:for-each>

	<!-- description for the THEME -->
	<xsl:if test="context()[enttypd != '']">
		<DIV CLASS="pe2" STYLE="display:block; margin-left:0.5in">
			<SPAN CLASS="lt"><xsl:value-of select="enttypd"/></SPAN>
			<BR/>
		</DIV>
	</xsl:if>

</xsl:template>

--------

<!-- Relationship Information -->
<xsl:template match="/metadata/eainfo/detailed/relinfo[$any$ * != '']">
  <DIV STYLE="margin-left:0.2in" CLASS="pn">Relationship information</DIV>
  <xsl:for-each select="relcomp[. != '']">
    <DIV STYLE="margin-left:0.4in"><I>Type of relationship: </I>
      <xsl:choose>
        <xsl:when test="context()[. = 'TRUE']">Composite</xsl:when>
        <xsl:otherwise>Simple</xsl:otherwise>
      </xsl:choose>
    </DIV>
  </xsl:for-each>
  <xsl:for-each select="relcard[. != '']">
    <DIV STYLE="margin-left:0.4in"><I>Cardinality of the relationship: </I><xsl:value-of /></DIV>
  </xsl:for-each>
  <xsl:for-each select="relattr[. != '']">
    <DIV STYLE="margin-left:0.4in"><I>Has attributes: </I><xsl:value-of /></DIV>
  </xsl:for-each>
  <xsl:if test="context()[(otfcname != '') or (otfcpkey != '') or (otfcfkey != '')]">
    <DIV STYLE="margin-left:0.4in" CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">Origin information
      <DIV CLASS="pe2" STYLE="display:none">
        <xsl:for-each select="otfcname[. != '']">
          <DIV><I>Origin name: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="otfcpkey[. != '']">
          <DIV><I>Primary key: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="otfcfkey[. != '']">
          <DIV><I>Foreign key: </I><xsl:value-of /></DIV>
        </xsl:for-each>
      </DIV>
    </DIV>
  </xsl:if>
  <xsl:if test="context()[(dtfcname != '') or (dtfcpkey != '') or (dtfcfkey != '')]">
    <DIV STYLE="margin-left:0.4in" CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">Destination information
      <DIV CLASS="pe2" STYLE="display:none">
        <xsl:for-each select="dtfcname[. != '']">
          <DIV><I>Destination name: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="dtfcpkey[. != '']">
          <DIV><I>Primary key: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="dtfcfkey[. != '']">
          <DIV><I>Foreign key: </I><xsl:value-of /></DIV>
        </xsl:for-each>
      </DIV>
    </DIV>
  </xsl:if>
  <xsl:if test="context()[(relnodir != '') or (relflab != '') or (relblab != '')]">
    <DIV STYLE="margin-left:0.4in" CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">Notification information
      <DIV CLASS="pe2" STYLE="display:none">
        <xsl:for-each select="relnodir[. != '']">
          <DIV><I>Notification direction: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="relflab[. != '']">
          <DIV><I>Forward label: </I><xsl:value-of /></DIV>
        </xsl:for-each>
        <xsl:for-each select="relblab[. != '']">
          <DIV><I>Backward label: </I><xsl:value-of /></DIV>
        </xsl:for-each>
      </DIV>
    </DIV>
  </xsl:if>
</xsl:template>

--------
<!-- Attribute Information -->
<xsl:template match="/metadata/eainfo/detailed/attr[(attrlabl != '') or (attalias != '') or
    (attrtype != '') or (attwidth != '') or (atprecis != '') or (atoutwid != '') or
    (atnumdec != '') or (attscale != '') or (attrdef != '')]">

    <xsl:choose>
      <xsl:when test="context()[(attalias != '') or (attrtype != '') or (attwidth != '') or
          (atprecis != '') or (atoutwid != '') or (atnumdec != '') or (attscale != '') or
          (attrdef != '')]">

        <DIV STYLE="margin-left:0.25in" CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">
		<!-- <xsl:attribute name="id">2Attrib_<xsl:value-of select="attrlabl"/></xsl:attribute> -->

		<xsl:choose>
			<xsl:when test="context()[attrlabl != '']">

				<DIV class="icon"><xsl:attribute name="id">2Attrib_<xsl:value-of select="attrlabl"/>ChildIcon</xsl:attribute>&#187;</DIV>&#160;
				<xsl:value-of select="attrlabl"/>
				<DIV class="pe2" id="alwayson" style="margin-left:0.5in"><SPAN CLASS="lt"><xsl:value-of select="attrdef"/></SPAN></DIV>
<!--
				<xsl:for-each select="attrdef[. != '']">
					<DIV class="pe2" id="alwayson">www<SPAN CLASS="lt" style="margin-left:1in"><xsl:eval>this.text</xsl:eval></SPAN></DIV>
				</xsl:for-each>
-->
			</xsl:when>
			<xsl:otherwise>Attribute</xsl:otherwise>
		</xsl:choose>

		<DIV CLASS="pe2" STYLE="display:none" style="margin-left:0.5in">
			<xsl:attribute name="id">2Attrib_<xsl:value-of select="attrlabl"/>Child</xsl:attribute>

			<xsl:for-each select="atoutwid[. != '']">
				<I>Output width: </I><xsl:value-of /><BR/>
			</xsl:for-each>
			<xsl:for-each select="atnumdec[. != '']">
				<I>Number of decimals: </I><xsl:value-of /><BR/>
			</xsl:for-each>
			<xsl:for-each select="atprecis[. != '']">
				<I>Precision: </I><xsl:value-of /><BR/>
			</xsl:for-each>
			<xsl:for-each select="attscale[. != '']">
				<I>Scale: </I><xsl:value-of /><BR/>
			</xsl:for-each>

			<!--
			<xsl:for-each select="attrdefs[. != '']">
          		    <SPAN CLASS="lt"><I>Definition Source: </I><xsl:eval>this.text</xsl:eval></SPAN>
			</xsl:for-each>
     		       -->

			<!-- Additional Values Start -->
			<table border="0">
				<xsl:if test="./attrtype[. != 'N/A']">
				<tr>
					<th class="THLeft" width="120">Field Type:</th>
					<td class="TDLeft"><xsl:value-of select="./attrtype[. != '']"/></td>
				</tr>
				</xsl:if>

				<xsl:if test="./attwidth[. != 'N/A']">
				<tr>
					<th class="THLeft" width="120">Field Width:</th>
					<td class="TDLeft"><xsl:value-of select="./attwidth[. != '']"/></td>
				</tr>
				</xsl:if>

				<xsl:for-each select="attrdomv">
					<!-- Enumerated Domain -->
					<xsl:for-each select="edom">
						<xsl:choose>
							<xsl:when test="context()[0]">
							<tr>
								<th class="THLeft">Domain:</th>
								<th class="THLeft">Value</th>
								<th class="THLeft">Description</th>
							</tr>
							</xsl:when>
						</xsl:choose>
						<tr>
							<th class="THLeft"> </th>
							<td class="TDLeft" style="vertical-align: top"><xsl:value-of select="./edomv"/></td>
							<td class="TDLeft"><xsl:value-of select="./edomvd"/></td>
						</tr>
					</xsl:for-each>
					<!-- Range Domain -->
					<xsl:for-each select="rdom">
					<tr>
						<th class="THLeft"><xsl:if test="context()[0]">Domain:</xsl:if></th>
						<td class="TDLeft">From <xsl:value-of select="./rdommin"/> to <xsl:value-of select="./rdommax"/></td>
					</tr>
					</xsl:for-each>

					<!-- Unrepresentable Domain -->
					<xsl:for-each select="udom">
					<tr>
						<th class="THLeft" style="vertical-align: top"><xsl:if test="context()[0]">Domain:</xsl:if></th>
						<td class="TDLeft" style="vertical-align: top"><xsl:value-of/></td>
					</tr>
					</xsl:for-each>

				<!--
					<xsl:for-each select="codesetd">
						<DT><I>Codeset Domain:</I></DT>
						<DD>
							<DL>
							<xsl:for-each select="codesetn">
								<DT><I>Codeset Name:</I> <xsl:value-of/></DT>
							</xsl:for-each>
							<xsl:for-each select="codesets">
								<DT><I>Codeset Source:</I> <xsl:value-of/></DT>
							</xsl:for-each>
							</DL>
						</DD>
					</xsl:for-each>
				-->
				</xsl:for-each>
			</table>
			<!-- Additional Attributes Finish -->
		</DIV>
	</DIV>
      </xsl:when>

      <xsl:otherwise>
        <xsl:if test="context()[attrlabl != '']">
          <DIV STYLE="margin-left:0.25in" CLASS="pe2"><xsl:value-of select="attrlabl"/></DIV>
        </xsl:if>
      </xsl:otherwise>

    </xsl:choose>

</xsl:template>

--------

<!-- Subtype Information -->
<xsl:template match="/metadata/eainfo/detailed/subtype[(stname != '') or (stcode != '') or 
    ($any$ stfield/(stfldnm | stflddv) != '') or ($any$ stfield/stflddd/* != '')]">
  <DIV STYLE="margin-left:0.2in" CLASS="pn">Subtype Information</DIV>
  <DIV STYLE="margin-left:0.4in" CLASS="pe2">
    <xsl:for-each select="stname[. != '']">
      <I>Subtype name: </I><xsl:value-of /><BR/>
    </xsl:for-each>
    <xsl:for-each select="stcode[. != '']">
      <I>Subtype code: </I><xsl:value-of /><BR/>
    </xsl:for-each>
    <xsl:for-each select="stfield[$any$ * != '']">
      <xsl:if test="context()[0]"><SPAN CLASS="pn">Attributes</SPAN><BR/></xsl:if>
      <xsl:choose> 
        <xsl:when test="context()[(stflddv != '') or ($any$ stflddd/* != '')]">
          <DIV STYLE="margin-left:0.25in" CLASS="ph2" onmouseover="doHilite(this)" onmouseout="doHilite(this)" onclick="expandIt(this)">
            <xsl:choose>
              <xsl:when test="context()[stfldnm != '']">
                <xsl:value-of select="stfldnm"/>
              </xsl:when>
              <xsl:otherwise>Subtype field</xsl:otherwise>
            </xsl:choose>
            <DIV CLASS="pe2" STYLE="display:none">
              <xsl:for-each select="stflddv[. != '']">
                <I>Default value: </I><xsl:value-of /><BR/>
              </xsl:for-each>
              <xsl:for-each select="stflddd[$any$ * != '']">
                <DIV><SPAN CLASS="pn">Domain: </SPAN><xsl:value-of select="domname"/></DIV>
                <DIV STYLE="margin-left:0.2in">
                  <xsl:for-each select="domdesc[. != '']">
                    <I>Description: </I><xsl:value-of /><BR/>
                  </xsl:for-each>
                  <xsl:for-each select="domfldtp[. != '']">
                    <I>Field type: </I><xsl:value-of /><BR/>
                  </xsl:for-each>
                  <xsl:for-each select="domtype[. != '']">
                    <I>Domain type: </I><xsl:value-of /><BR/>
                  </xsl:for-each>
                  <xsl:for-each select="mrgtype[. != '']">
                    <I>Merge rule: </I><xsl:value-of /><BR/>
                  </xsl:for-each>
                  <xsl:for-each select="splttype[. != '']">
                    <I>Split rule: </I><xsl:value-of /><BR/>
                  </xsl:for-each>
                  <xsl:for-each select="domowner[. != '']">
                    <I>Domain owner: </I><xsl:value-of /><BR/>
                  </xsl:for-each>
                </DIV>
              </xsl:for-each><BR/>
            </DIV>
          </DIV>
        </xsl:when>
        <xsl:otherwise>
          <xsl:if test="context()[stfldnm != '']">
            <DIV STYLE="margin-left:0.25in" CLASS="pe2"><xsl:value-of select="stfldnm"/></DIV>
          </xsl:if>
        </xsl:otherwise>
      </xsl:choose> 
    </xsl:for-each>
  </DIV>
</xsl:template>

--------

<!-- Overview info -->
<xsl:template match="/metadata/eainfo/overview[(eaover != '') or ($any$ eadetcit != '')]">
  <xsl:for-each select="eaover[. != '']">
    <DIV CLASS="srh1">Overview</DIV>
    <DIV STYLE="margin-left:0.2in">
      <SPAN CLASS="lt"><xsl:eval>this.text</xsl:eval></SPAN>
    </DIV>
  </xsl:for-each>
  <xsl:for-each select="eadetcit[. != '']">
    <xsl:if test="context()[0]"><DIV CLASS="srh1">Overview citation</DIV></xsl:if>
    <DIV STYLE="margin-left:0.2in">
      <SPAN CLASS="lt"><xsl:eval>this.text</xsl:eval></SPAN><BR/>
    </DIV>
  </xsl:for-each>
</xsl:template>


================================


<!-- SUPPORTING TEMPLATES -->

<!-- Time Period Information -->

<!-- Single or Multiple Date/Time -->
<xsl:template match="timeinfo//sngdate[(caldate != '') or (time != '')]">
  <DIV><I>Date and time: </I>
    <xsl:choose>
      <xsl:when test="context()[caldate = 'REQUIRED: The year (and optionally month, or month and day) for which the data set corresponds to the ground.']">
        <SPAN STYLE="color:#999999"><xsl:value-of select="caldate"/></SPAN>
      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="context()[caldate = 'The year (and optionally month, or month and day) for which the data set corresponds to the ground.  REQUIRED.']">
            <SPAN STYLE="color:#999999"><xsl:value-of select="caldate"/></SPAN>
          </xsl:when>
          <xsl:otherwise><xsl:value-of select="caldate"/></xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="context()[time != '']"> at time <xsl:value-of select="time"/></xsl:if>
  </DIV>
</xsl:template>

<!-- Range of Dates/Times -->
<xsl:template match="timeinfo/rngdates[$any$ * != '']">
  <DIV><I>Beginning date and time: </I>
    <xsl:value-of select="begdate"/>
    <xsl:if test="context()[begtime != '']"> at time <xsl:value-of select="begtime"/></xsl:if>
  </DIV>
  <DIV><I>Ending date and time: </I>
    <xsl:value-of select="enddate"/>
    <xsl:if test="context()[endtime != '']"> at time <xsl:value-of select="endtime"/></xsl:if>
  </DIV>
</xsl:template>

--------

<!-- Contact Information -->
<xsl:template match="cntinfo[(cntvoice != '') or (cntfax != '') or (cntemail != '') or 
    (hours != '') or (cntinst != '') or (cntaddr/* != '') or (*/cntper != '') or 
    (*/cntorg != '')]">

  <xsl:for-each select="*/cntper[. != '']">
    <xsl:choose>
      <xsl:when test="context()[. = 'REQUIRED: The person responsible for the metadata information.']">
        <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN><BR/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="context()[. = 'The person responsible for the metadata information.  REQUIRED.']">
            <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN><BR/>
          </xsl:when>
          <xsl:otherwise>
	    <SPAN STYLE="margin-left:0.3in"><xsl:value-of /></SPAN><BR/>
	  </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:for-each>

  <xsl:for-each select="*/cntorg[. != '']">
    <xsl:choose>
      <xsl:when test="context()[. = 'REQUIRED: The organization responsible for the metadata information.']">
        <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN><BR/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="context()[. = 'The organization responsible for the metadata information.  REQUIRED.']">
            <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN><BR/>
          </xsl:when>
          <xsl:otherwise>
	    <SPAN STYLE="margin-left:0.3in"><xsl:value-of /></SPAN><BR/>
	  </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:for-each>

  <xsl:for-each select="cntaddr[($any$ address != '') or (city != '') or (state != '') or (postal != '') or (country != '')]">
    <xsl:choose>
      <xsl:when test="addrtype[. = 'REQUIRED: The mailing and/or physical address for the organization or individual.']">
        <SPAN STYLE="color:#999999"><I><xsl:value-of select="addrtype"/>:</I></SPAN><BR/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="addrtype[. = 'The mailing and/or physical address for the organization or individual.  REQUIRED.']">
            <SPAN STYLE="color:#999999"><I><xsl:value-of select="addrtype"/>:</I></SPAN><BR/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="addrtype[. != '']"><I><xsl:value-of select="addrtype"/>:</I><BR/></xsl:when>
              <xsl:otherwise><I>Address</I><BR/></xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:if test="context()[((address != '') or (city != '') or (state != '') or 
        (postal != '') or (country != ''))]">
      <DIV STYLE="margin-left:0.3in">
        <xsl:for-each select="address[. != '']">
          <DIV CLASS="lt">
            <xsl:eval>this.text</xsl:eval>
          </DIV>      
        </xsl:for-each>

        <xsl:if test="context()[((city != '') or (state != '') or (postal != ''))]">
          <DIV>
            <xsl:for-each select="city[. != '']">
              <xsl:choose>
                <xsl:when test="context()[. = 'REQUIRED: The city of the address.']">
                  <SPAN STYLE="color:#999999"><xsl:value-of /><xsl:if test="context()[../state != '']">, </xsl:if></SPAN></xsl:when>
                <xsl:otherwise>
                  <xsl:choose>
                    <xsl:when test="context()[. = 'The city of the address.  REQUIRED.']">
                      <SPAN STYLE="color:#999999"><xsl:value-of /><xsl:if test="context()[../state != '']">, </xsl:if></SPAN></xsl:when>
                    <xsl:otherwise><xsl:value-of /><xsl:if test="context()[../state != '']">, </xsl:if></xsl:otherwise>
                  </xsl:choose>
                </xsl:otherwise>
              </xsl:choose></xsl:for-each><xsl:for-each select="state[. != '']">
              <xsl:choose>
                <xsl:when test="context()[. = 'REQUIRED: The state or province of the address.']">
                  <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN></xsl:when>
                <xsl:otherwise>
                  <xsl:choose>
                    <xsl:when test="context()[. = 'The state or province of the address.  REQUIRED.']">
                      <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN></xsl:when>
                    <xsl:otherwise><xsl:value-of /></xsl:otherwise>
                  </xsl:choose>
                </xsl:otherwise>
              </xsl:choose></xsl:for-each><xsl:if test="context()[((city != '') or (state != '')) and (postal != '')]" xml:space="preserve"> </xsl:if>
              <xsl:for-each select="postal[. != '']">
              <xsl:choose>
                <xsl:when test="context()[. = 'REQUIRED: The ZIP or other postal code of the address.']">
                  <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN></xsl:when>
                <xsl:otherwise>
                  <xsl:choose>
                    <xsl:when test="context()[. = 'The ZIP or other postal code of the address.  REQUIRED.']">
                      <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN></xsl:when>
                    <xsl:otherwise><xsl:value-of /></xsl:otherwise>
                  </xsl:choose>
                </xsl:otherwise>
              </xsl:choose></xsl:for-each>
          </DIV>
        </xsl:if>
        <xsl:for-each select="country[. != '']"><DIV><xsl:value-of/></DIV></xsl:for-each>
        <xsl:if test="context()[not(end())]">
          <BR/>
        </xsl:if>
      </DIV>
    </xsl:if>
  </xsl:for-each>

  <xsl:if test="context()[(($any$ cntaddr/address != '') or (cntaddr/city != '') or 
      (cntaddr/state != '') or (cntaddr/postal != '') or (cntaddr/country != '')) 
      and ((cntvoice != '') or (cntfax != '') or (cntemail != ''))]">
    <BR/>
  </xsl:if>

  <xsl:for-each select="cntvoice[. != '']">
    <xsl:choose>
      <xsl:when test="context()[. = 'REQUIRED: The telephone number by which individuals can speak to the organization or individual.']">
        <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN><BR/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="context()[. = 'The telephone number by which individuals can speak to the organization or individual.  REQUIRED.']">
            <SPAN STYLE="color:#999999"><xsl:value-of /></SPAN><BR/>
          </xsl:when>
          <xsl:otherwise>
            <SPAN STYLE="margin-left:0.3in"><xsl:value-of /> (voice)</SPAN><BR/>
	  </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:for-each>

  <xsl:for-each select="cntfax[. != '']"><SPAN STYLE="margin-left:0.3in"><xsl:value-of/> (fax)</SPAN><BR/></xsl:for-each>
  <xsl:for-each select="cntemail[. != '']"><SPAN STYLE="margin-left:0.3in"><xsl:value-of/></SPAN><BR/></xsl:for-each>

  <xsl:if test="context()[(($any$ cntaddr/address != '') or (cntaddr/city != '') or 
      (cntaddr/state != '') or (cntaddr/postal != '') or (cntaddr/country != '') or 
      (cntvoice != '') or (cntfax != '') or (cntemail != '')) 
      and ((hours != '') or (cntinst != ''))]">
    <BR/>
  </xsl:if>
  <xsl:for-each select="hours[. != '']"><DIV><I>Hours of service:</I> <xsl:value-of/></DIV></xsl:for-each>
  <xsl:for-each select="cntinst[. != '']">
    <DIV><I>Contact Instructions:</I></DIV>
    <DIV STYLE="margin-left:0.3in">
      <xsl:eval>this.text</xsl:eval>
    </DIV>      
  </xsl:for-each>
  <BR/>
</xsl:template>

--------

<!-- Horizontal Coordinate Systems -->

<!-- Geographic Coordinate System -->
<xsl:template match="/metadata/spref/horizsys/geograph[$any$ * != '']">
  <DIV CLASS="srh1">Geographic Coordinate System</DIV>
  <xsl:for-each select="latres[. != '']">
    <DIV CLASS="sr2"><I>Latitude Resolution: </I><xsl:value-of/></DIV>
  </xsl:for-each>
  <xsl:for-each select="longres[. != '']">
    <DIV CLASS="sr2"><I>Longitude Resolution: </I><xsl:value-of/></DIV>
  </xsl:for-each>
  <xsl:for-each select="geogunit[. != '']">
    <DIV CLASS="sr2"><I>Geographic Coordinate Units: </I><xsl:value-of/></DIV>
  </xsl:for-each>
</xsl:template>

<!-- Planar Coordinate System -->
<xsl:template match="/metadata/spref/horizsys/planar[$any$ .//* != '']">
  <xsl:for-each select="mapproj">
    <xsl:for-each select="mapprojn[. != '']">
      <DIV CLASS="sr1"><SPAN CLASS="pn">Map Projection Name: </SPAN><xsl:value-of/></DIV>
    </xsl:for-each>
    <xsl:if test="context()[$any$ .//* != '']">
      <DIV CLASS="sr2"><xsl:apply-templates select="*"/></DIV>
    </xsl:if>
    <xsl:if test="context()[not(end())]"><BR/></xsl:if>
  </xsl:for-each>

  <xsl:for-each select="gridsys">
    <xsl:for-each select="gridsysn[. != '']">
      <DIV CLASS="sr1"><SPAN CLASS="pn">Grid Coordinate System Name: </SPAN><xsl:value-of/></DIV>
    </xsl:for-each>
    <xsl:for-each select="utm">
      <xsl:for-each select="utmzone[. != '']">
        <DIV CLASS="sr2"><I>UTM Zone Number: </I><xsl:value-of/></DIV>
      </xsl:for-each>
      <xsl:for-each select="transmer[$any$ * != '']">
        <DIV CLASS="srh2">Transverse Mercator Projection</DIV>
      </xsl:for-each>
      <DIV CLASS="sr3"><xsl:apply-templates select="transmer"/></DIV>
    </xsl:for-each>
    <xsl:for-each select="ups">
      <xsl:for-each select="upszone[. != '']">
        <DIV CLASS="sr2"><I>UPS Zone Identifier: </I><xsl:value-of/></DIV>
      </xsl:for-each>
      <xsl:for-each select="polarst[$any$ * != '']">
        <DIV CLASS="srh2">Polar Stereographic Projection</DIV>
      </xsl:for-each>
      <DIV CLASS="sr3"><xsl:apply-templates select="polarst"/></DIV>
    </xsl:for-each>
    <xsl:for-each select="spcs">
      <xsl:for-each select="spcszone[. != '']">
        <DIV CLASS="sr2"><I>SPCS Zone Identifier: </I><xsl:value-of/></DIV>
      </xsl:for-each>
      <xsl:for-each select="lambertc[$any$ * != '']">
        <DIV CLASS="srh2">Lambert Conformal Conic Projection</DIV>
      </xsl:for-each>
      <xsl:for-each select="transmer[$any$ * != '']">
        <DIV CLASS="srh2">Transverse Mercator Projection</DIV>
      </xsl:for-each>
      <xsl:for-each select="obqmerc[$any$ * != '']">
        <DIV CLASS="srh2">Oblique Mercator Projection</DIV>
      </xsl:for-each>
      <xsl:for-each select="polycon[$any$ * != '']">
        <DIV CLASS="srh2">Polyconic Projection</DIV>
      </xsl:for-each>
      <DIV CLASS="sr3"><xsl:apply-templates select="*"/></DIV>
    </xsl:for-each>
    <xsl:for-each select="arcsys">
      <xsl:for-each select="arczone[. != '']">
        <DIV CLASS="sr2"><I>ARC System Zone Identifier: </I><xsl:value-of/></DIV>
      </xsl:for-each>
      <xsl:for-each select="equirect[$any$ * != '']">
        <DIV CLASS="srh2">Equirectangular Projection</DIV>
      </xsl:for-each>
      <xsl:for-each select="azimequi[$any$ * != '']">
        <DIV CLASS="srh2">Azimuthal Equidistant Projection</DIV>
      </xsl:for-each>
      <DIV CLASS="sr3"><xsl:apply-templates select="*"/></DIV>
    </xsl:for-each>
    <xsl:for-each select="othergrd[. != '']">
      <DIV CLASS="srh2">Other Grid System's Definition</DIV>
      <DIV CLASS="sr3"><xsl:value-of/></DIV>
    </xsl:for-each>
  </xsl:for-each>

  <xsl:for-each select="localp">
    <xsl:if test="context()[$any$ * != '']">
      <DIV CLASS="srh1">Local Planar Coordinate System</DIV>
    </xsl:if>
    <xsl:for-each select="localpd[. != '']">
      <DIV CLASS="sr2"><I>Description: </I><xsl:value-of/></DIV>
    </xsl:for-each>
    <xsl:for-each select="localpgi[. != '']">
      <DIV CLASS="srh2">Georeference Information</DIV>
      <DIV CLASS="sr3"><SPAN CLASS="lt"><xsl:value-of/></SPAN></DIV>
    </xsl:for-each>
  </xsl:for-each>

  <xsl:if test="context()[($any$ (mapproj//* | gridsys//* | localp/*) != '') and 
      ($any$ planci//* != '')]">
    <BR/>
  </xsl:if>

  <xsl:for-each select="planci">
    <DIV CLASS="sr1"><SPAN CLASS="pn">Planar Coordinate Information</SPAN></DIV>
    <xsl:for-each select="plandu[. != '']">
      <DIV CLASS="sr2"><I>Planar Distance Units: </I><xsl:value-of/></DIV>
    </xsl:for-each>
    <xsl:for-each select="plance[. != '']">
      <DIV CLASS="sr2"><I>Coordinate Encoding Method: </I><xsl:value-of/></DIV>
    </xsl:for-each>
    <xsl:for-each select="coordrep">
      <xsl:if test="context()[$any$ * != '']">
        <DIV CLASS="srh2">Coordinate Representation</DIV>
      </xsl:if>
      <xsl:for-each select="absres[. != '']">
        <DIV CLASS="sr3"><I>Abscissa Resolution: </I><xsl:value-of/></DIV>
      </xsl:for-each>
      <xsl:for-each select="ordres[. != '']">
        <DIV CLASS="sr3"><I>Ordinate Resolution: </I><xsl:value-of/></DIV>
      </xsl:for-each>
    </xsl:for-each>
    <xsl:for-each select="distbrep">
      <xsl:if test="context()[$any$ * != '']">
        <DIV CLASS="srh2">Distance and Bearing Representation</DIV>
      </xsl:if>
      <xsl:for-each select="distres[. != '']">
        <DIV CLASS="sr3"><I>Distance Resolution: </I><xsl:value-of/></DIV>
      </xsl:for-each>
      <xsl:for-each select="bearres[. != '']">
        <DIV CLASS="sr3"><I>Bearing Resolution: </I><xsl:value-of/></DIV>
      </xsl:for-each>
      <xsl:for-each select="bearunit[. != '']">
        <DIV CLASS="sr3"><I>Bearing Units: </I><xsl:value-of/></DIV>
      </xsl:for-each>
      <xsl:for-each select="bearrefd[. != '']">
        <DIV CLASS="sr3"><I>Bearing Reference Direction: </I><xsl:value-of/></DIV>
      </xsl:for-each>
      <xsl:for-each select="bearrefm[. != '']">
        <DIV CLASS="sr3"><I>Bearing Reference Meridian: </I><xsl:value-of/></DIV>
      </xsl:for-each>
    </xsl:for-each>
  </xsl:for-each>

  <xsl:if test="context()[not(end())]">
    <BR/>
  </xsl:if>
</xsl:template>

<!-- Local Coordinate System -->
<xsl:template match="/metadata/spref/horizsys/local[$any$ * != '']">
  <DIV CLASS="srh1">Local Coordinate System</DIV>
  <xsl:for-each select="localdes[. != '']">
    <DIV CLASS="sr2"><I>Description: </I><xsl:value-of/></DIV>
  </xsl:for-each>
  <xsl:for-each select="localgeo[. != '']">
    <DIV CLASS="srh2">Georeference Information</DIV>
    <DIV CLASS="sr3"><SPAN CLASS="lt"><xsl:value-of/></SPAN></DIV>
  </xsl:for-each>
</xsl:template>

<!-- Geodetic Model -->
<xsl:template match="/metadata/spref/horizsys/geodetic[$any$ * != '']">
  <DIV CLASS="srh1">Geodetic Model</DIV>
  <xsl:for-each select="horizdn[. != '']">
    <DIV CLASS="sr2"><I>Horizontal Datum Name: </I><xsl:value-of/></DIV>
  </xsl:for-each>
  <xsl:for-each select="ellips[. != '']">
    <DIV CLASS="sr2"><I>Ellipsoid Name: </I><xsl:value-of/></DIV>
  </xsl:for-each>
  <xsl:for-each select="semiaxis[. != '']">
    <DIV CLASS="sr2"><I>Semi-major Axis: </I><xsl:value-of/></DIV>
  </xsl:for-each>
  <xsl:for-each select="denflat[. != '']">
    <DIV CLASS="sr2"><I>Denominator of Flattening Ratio: </I><xsl:value-of/></DIV>
  </xsl:for-each>
</xsl:template>

--------

<!-- Map Projections -->
<!-- Projections explicitly supported in the FGDC standard -->
<xsl:template match="albers | azimequi | equicon | equirect | gnomonic | gvnsp | lamberta | 
    lambertc | mercator | miller | modsak | obqmerc | orthogr | polarst | polycon | robinson | 
    sinusoid | spaceobq | stereo | transmer | vdgrin">
  <xsl:apply-templates select="*"/>
</xsl:template>

<!-- Projections defined in the 8.0 ESRI Profile -->
<xsl:template match="behrmann | bonne | cassini | eckert1 | eckert2 | eckert3 | eckert4 | 
    eckert5 | eckert6 | gallster | loximuth | mollweid | quartic | winkel1 | winkel2">
  <xsl:apply-templates select="*"/>
</xsl:template>

<!-- For projections not explicitly supported, FGDC standard places parameters in mapprojp; used by Catalog at 8.1 -->
<xsl:template match="mapprojp">
  <xsl:apply-templates select="*"/>
</xsl:template>

--------

<!-- Map Projection Parameters -->
<xsl:template match="stdparll[. != '']">
  <I>Standard Parallel: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="longcm[. != '']">
  <I>Longitude of Central Meridian: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="latprjo[. != '']">
  <I>Latitude of Projection Origin: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="feast[. != '']">
  <I>False Easting: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="fnorth[. != '']">
  <I>False Northing: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="sfequat[. != '']">
  <I>Scale Factor at Equator: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="heightpt[. != '']">
  <I>Height of Perspective Point Above Surface: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="longpc[. != '']">
  <I>Longitude of Projection Center: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="latprjc[. != '']">
  <I>Latitude of Projection Center: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="sfctrlin[. != '']">
  <I>Scale_Factor at Center Line: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="obqlazim[. != '']">
  <I>Oblique Line Azimuth: </I><BR/>
    <xsl:for-each select="azimangl[. != '']">
      <DD><I>Azimuthal Angle: </I><xsl:value-of/></DD><BR/>
    </xsl:for-each>
    <xsl:for-each select="azimptl[. != '']">
      <DD><I>Azimuthal Measure Point Longitude: </I><xsl:value-of/></DD><BR/>
    </xsl:for-each>
</xsl:template>

<xsl:template match="obqlpt[. != '']">
  <I>Oblique Line Point: </I><BR/>
    <xsl:for-each select="obqllat[. != '']">
      <DD><I>Oblique Line Latitude: </I><xsl:value-of/></DD><BR/>
    </xsl:for-each>
    <xsl:for-each select="obqllong[. != '']">
      <DD><I>Oblique Line Longitude: </I><xsl:value-of/></DD><BR/>
    </xsl:for-each>
</xsl:template>

<xsl:template match="svlong[. != '']">
  <I>Straight Vertical Longitude from Pole: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="sfprjorg[. != '']">
  <I>Scale Factor at Projection Origin: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="landsat[. != '']">
  <I>Landsat Number: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="pathnum[. != '']">
  <I>Path Number: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="sfctrmer[. != '']">
  <I>Scale Factor at Central Meridian: </I><xsl:value-of/><BR/>
</xsl:template>

<xsl:template match="otherprj[. != '']">
  <I>Other Projection's Definition: </I><xsl:value-of/><BR/>
</xsl:template>

--------

<!-- Vertical Coordinate Systems -->
<xsl:template match="vertdef">
  <xsl:for-each select="altsys">
    <xsl:if test="context()[$any$ * != '']">
      <DIV CLASS="srh1">Altitude System Definition</DIV>
    </xsl:if>
    <xsl:for-each select="altdatum[. != '']">
      <DIV CLASS="sr2"><I>Datum Name: </I><xsl:value-of/></DIV>
    </xsl:for-each>
    <xsl:for-each select="altres[. != '']">
      <DIV CLASS="sr2"><I>Resolution: </I><xsl:value-of/></DIV>
    </xsl:for-each>
    <xsl:for-each select="altunits[. != '']">
      <DIV CLASS="sr2"><I>Distance Units: </I><xsl:value-of/></DIV>
    </xsl:for-each>
    <xsl:for-each select="altenc[. != '']">
      <DIV CLASS="sr2"><I>Encoding Method: </I><xsl:value-of/></DIV>
    </xsl:for-each>
  </xsl:for-each>

  <xsl:if test="context()[($any$ altsys/* != '') and ($any$ depthsys/* != '')]">
    <BR/>
  </xsl:if>

  <xsl:for-each select="depthsys">
    <xsl:if test="context()[$any$ * != '']">
      <DIV CLASS="srh1">Depth System Definition</DIV>
    </xsl:if>
    <xsl:for-each select="depthdn[. != '']">
      <DIV CLASS="sr2"><I>Datum Name: </I><xsl:value-of/></DIV>
    </xsl:for-each>
    <xsl:for-each select="depthres[. != '']">
      <DIV CLASS="sr2"><I>Resolution: </I><xsl:value-of/></DIV>
    </xsl:for-each>
    <xsl:for-each select="depthdu[. != '']">
      <DIV CLASS="sr2"><I>Distance Units: </I><xsl:value-of/></DIV>
    </xsl:for-each>
    <xsl:for-each select="depthem[. != '']">
      <DIV CLASS="sr2"><I>Encoding Method: </I><xsl:value-of/></DIV>
    </xsl:for-each>
  </xsl:for-each>
</xsl:template>

<!-- new addition -->
<!-- Data Quality -->
<xsl:template match="dataqual">
<!--
  <DL>
    <DT><I>Data Quality Information:</I></DT>
    <DD>
    <DL>
    -->
	<!-- start of Attribute Accuracy -->
	<dl>
		<xsl:for-each select="attracc">
			<DT><B>Attribute Accuracy:</B></DT>
			<DD>
				<DL>
				<xsl:for-each select="attraccr">
					<DT><I>Attribute Accuracy Report:</I></DT>
					<DD><xsl:eval>this.text</xsl:eval></DD>
				</xsl:for-each>
				<BR/>
				<xsl:for-each select="qattracc">
					<DT><I>Quantitative Attribute Accuracy Assessment:</I></DT>
					<DD>
						<DL>
						<xsl:for-each select="attraccv">
							<DT><I>Attribute Accuracy Value:</I> <xsl:value-of/></DT>
						</xsl:for-each>
						<xsl:for-each select="attracce">
							<DT><I>Attribute Accuracy Explanation:</I></DT>
							<DD><xsl:eval>this.text</xsl:eval></DD>
						</xsl:for-each>
						</DL>
					</DD>
				</xsl:for-each>
				</DL>
			</DD>
		</xsl:for-each>
	</dl>
	<!-- end of Attribute Accuracy -->

	<BR/>
	<dl>
		<xsl:for-each select="logic">
			<DT><B>Logical Consistency Report:</B></DT>
			<DD><xsl:eval>this.text</xsl:eval></DD>
		</xsl:for-each>
	</dl>

	<BR/>
	<dl>
		<xsl:for-each select="complete">
			<DT><B>Completeness Report:</B></DT>
			<DD><xsl:eval>this.text</xsl:eval></DD>
		</xsl:for-each>
	</dl>

	<BR/>
	<!-- start of Positional Accuracy -->
	<DL>
		<xsl:for-each select="posacc">
			<DT><B>Positional Accuracy:</B></DT>
			<DT>
				<dl>
				<xsl:for-each select="horizpa">
					<DT><I>Horizontal Positional Accuracy:</I></DT>
					<DD>
						<DL>
						<xsl:for-each select="horizpar">
							<DT><I>Horizontal Positional Accuracy Report:</I></DT>
							<DD><xsl:eval>this.text</xsl:eval></DD>
						</xsl:for-each>
						</DL>
						<DL>
						<xsl:for-each select="qhorizpa">
							<DD>
								<DL>
								<xsl:for-each select="horizpav">
									<DT><I>Horizontal Positional Accuracy Value:</I> <xsl:value-of/></DT>
								</xsl:for-each>
								</DL>

								<DL>
								<xsl:for-each select="horizpae">
									<DT><I>Horizontal Positional Accuracy Explanation:</I></DT>
									<DD><xsl:eval>this.text</xsl:eval></DD>
								</xsl:for-each>
								</DL>
							</DD>
						</xsl:for-each>
						</DL>
					</DD>
				</xsl:for-each>
				</dl>
			</DT>
			<DT>
				<dl>
				<xsl:for-each select="vertacc">
					<DT><I>Vertical Positional Accuracy:</I></DT>
					<DD>
						<DL>
						<xsl:for-each select="vertaccr">
							<DT><I>Vertical Positional Accuracy Report:</I></DT>
							<DD><xsl:eval>this.text</xsl:eval></DD>
						</xsl:for-each>
						</DL>

						<DL>
						<xsl:for-each select="qvertpa">
							<DT><I>Quantitative Vertical Positional Accuracy Assessment:</I></DT>
							<DD>
								<DL>
								<xsl:for-each select="vertaccv">
									<DT><I>Vertical Positional Accuracy Value:</I> <xsl:value-of/></DT>
								</xsl:for-each>
								</DL>

								<DL>
								<xsl:for-each select="vertacce">
									<DT><I>Vertical_Positional Accuracy Explanation:</I></DT>
									<DD><xsl:eval>this.text</xsl:eval></DD>
								</xsl:for-each>
								</DL>

							</DD>
						</xsl:for-each>
						</DL>
					</DD>
				</xsl:for-each>
				</dl>

			</DT>
		</xsl:for-each>
	</DL>
	<!-- end of Positional Accuracy -->

	<!-- start of Lineage -->
	<dl>
		<xsl:for-each select="lineage">
			<DT><B>Lineage:</B></DT>
			<DD>
				<DL>
					<!-- start of Lineage/srcinfo -->
					<dt>
						<DL>
						<xsl:for-each select="srcinfo">
							<DT><I>Source Information:</I></DT>
							<DD>
								<DL>
								<xsl:for-each select="srccite">
									<DT><I>Source Citation:</I></DT>
									<DD>
										<DL>
										<xsl:apply-templates select="citeinfo[. != '']"/>
										</DL>
									</DD>
								</xsl:for-each>

								<xsl:for-each select="srcscale[. != '']">
									<DT><I>Source Scale Denominator:</I> <xsl:value-of/></DT>
								</xsl:for-each>

								<xsl:for-each select="typesrc[. != '']">
									<DT><I>Type of Source Media:</I> <xsl:value-of/></DT>
								</xsl:for-each>

					<!-- time period handled elsewhere
								<xsl:for-each select="srctime">
									<DT><I>Source Time Period of Content:</I></DT>
									<DD>
										<DL>
											<xsl:apply-templates select="timeinfo"/>
											<xsl:for-each select="srccurr">
												<DT><I>Source Currentness Reference:</I></DT>
												<DD><xsl:value-of/></DD>
											</xsl:for-each>
										</DL>
									</DD>
								</xsl:for-each>
					-->

								<xsl:for-each select="srccitea[. != '']">
									<DT><I>Source Citation Abbreviation:</I></DT>
									<DD><xsl:value-of/></DD>
								</xsl:for-each>

								<xsl:for-each select="srccontr[. != '']">
									<DT><I>Source Contribution:</I></DT>
									<DD><xsl:eval>this.text</xsl:eval></DD>
								</xsl:for-each>
								</DL>
							</DD>
						</xsl:for-each>
						</DL>
					</dt>
					<!-- end of Lineage/srcinfo -->

					<!-- start of Lineage/Process Step -->
					<dt>
						<DL>
						<xsl:for-each select="procstep">
							<DT><I>Process Step:</I></DT>
							<DD>
								<DL>
								<xsl:for-each select="procdesc">
									<DT><I>Process Description:</I></DT>
									<DD><xsl:eval>this.text</xsl:eval></DD>
								</xsl:for-each>
								<xsl:for-each select="srcused">
									<DT><I>Source Used Citation Abbreviation:</I></DT>
									<DD><xsl:value-of/></DD>
								</xsl:for-each>
								<xsl:for-each select="procdate">
									<DT><I>Process Date:</I> <xsl:value-of/></DT>
								</xsl:for-each>
								<xsl:for-each select="proctime">
									<DT><I>Process Time:</I> <xsl:value-of/></DT>
								</xsl:for-each>
								<xsl:for-each select="srcprod">
									<DT><I>Source Produced Citation Abbreviation:</I></DT>
									<DD><xsl:value-of/></DD>
								</xsl:for-each>
								<xsl:for-each select="proccont">
									<DT><I>Process Contact:</I></DT>
									<DD>
										<DL>
											<xsl:apply-templates select="cntinfo"/>
										</DL>
									</DD>
								</xsl:for-each>
								</DL>
							</DD>
						</xsl:for-each>
						</DL>
					</dt>
					<!-- end of Lineage/Process Step -->
				</DL>
			</DD>
		</xsl:for-each>
	</dl>
	<!-- end of Lineage -->

	<xsl:for-each select="cloud">
		<DT><I>Cloud Cover:</I> <xsl:value-of/></DT>
	</xsl:for-each>
  <!--
	</DL>
		</DD>
	</DL>
  -->
</xsl:template>


<!-- new template -->
<!-- Citation -->
<xsl:template match="/metadata/dataqual/lineage/srcinfo/srccite/citeinfo">
  <DT><I>Citation Information:</I></DT>
  <DD>
  <DL>
    <xsl:for-each select="origin">
      <DT><I>Originator:</I> <xsl:value-of/></DT>
    </xsl:for-each>

    <xsl:for-each select="pubdate">
      <DT><I>Publication Date:</I> <xsl:value-of/></DT>
    </xsl:for-each>
    <xsl:for-each select="pubtime">
      <DT><I>Publication Time:</I> <xsl:value-of/></DT>
    </xsl:for-each>

    <xsl:for-each select="title">
      <DT><I>Title:</I></DT>
      <DD><xsl:value-of/></DD>
    </xsl:for-each>
    <xsl:for-each select="edition">
      <DT><I>Edition:</I> <xsl:value-of/></DT>
    </xsl:for-each>

    <xsl:for-each select="geoform">
      <DT><I>Geospatial Data Presentation Form:</I> <xsl:value-of/></DT>
    </xsl:for-each>

    <xsl:for-each select="serinfo">
      <DT><I>Series Information:</I></DT>
      <DD>
      <DL>
        <xsl:for-each select="sername">
          <DT><I>Series Name:</I> <xsl:value-of/></DT>
        </xsl:for-each>
        <xsl:for-each select="issue">
          <DT><I>Issue Identification:</I> <xsl:value-of/></DT>
        </xsl:for-each>
      </DL>
      </DD>
    </xsl:for-each>

    <xsl:for-each select="pubinfo">
      <DT><I>Publication Information:</I></DT>
      <DD>
      <DL>
        <xsl:for-each select="pubplace">
          <DT><I>Publication Place:</I> <xsl:value-of/></DT>
        </xsl:for-each>
        <xsl:for-each select="publish">
          <DT><I>Publisher:</I> <xsl:value-of/></DT>
        </xsl:for-each>
      </DL>
      </DD>
    </xsl:for-each>

    <xsl:for-each select="othercit">
      <DT><I>Other Citation Details:</I></DT>
      <DD><xsl:value-of/></DD>
    </xsl:for-each>

    <xsl:for-each select="onlink">
      <DT><I>Online Linkage:</I> <A TARGET="viewer">
        <xsl:attribute name="HREF"><xsl:value-of/></xsl:attribute>
        <xsl:value-of/></A>
      </DT>
    </xsl:for-each>

    <xsl:for-each select="lworkcit">
      <DT><I>Larger Work Citation:</I></DT>
      <DD>
      <DL>
        <xsl:apply-templates select="citeinfo"/>
      </DL>
      </DD>
    </xsl:for-each>
  </DL>
  </DD>
</xsl:template>
</xsl:stylesheet>
